import { Menu } from "@element-plus/icons-vue";
import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_ARR, GET_EMPTY_OBJ } from "pagoda-shared";
const layoutV2Props = buildProps({
  logo: {
    type: null,
    default: Menu
  },
  logoImg: String,
  topMenu: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  bottomMenu: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  userHead: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  personalSettingMenu: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  }
});
export {
  layoutV2Props
};
