var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent as _defineComponent } from "vue";
import { ref } from "vue";
import { leftRightLayoutProps } from "./leftRightLayout.mjs";
import { useEventListener } from "@vueuse/core";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("left-right-layout");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: leftRightLayoutProps,
  emits: ["back"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const contentFormEl = ref();
    const hasBorder = ref(false);
    useEventListener(contentFormEl, "scroll", () => {
      if (props.subTitle) {
        if (contentFormEl.value.scrollTop !== 0) {
          hasBorder.value = true;
        } else {
          hasBorder.value = false;
        }
      }
    });
    function handleBack() {
      emit("back");
    }
    const __returned__ = { name, props, emit, contentFormEl, hasBorder, handleBack };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { createCommentVNode as _createCommentVNode, toDisplayString as _toDisplayString, createElementVNode as _createElementVNode, renderSlot as _renderSlot, openBlock as _openBlock, createElementBlock as _createElementBlock, normalizeClass as _normalizeClass } from "vue";
const _hoisted_1 = { class: "pagoda-left-right-layout" };
const _hoisted_2 = { class: "pagoda-left-right-layout__flex" };
const _hoisted_3 = { class: "pagoda-left-right-layout__title" };
const _hoisted_4 = { class: "pagoda-left-right-layout__btn-groups" };
const _hoisted_5 = {
  key: 0,
  class: "pagoda-left-right-layout__before-content"
};
const _hoisted_6 = { class: "pagoda-left-right-layout__content" };
const _hoisted_7 = { class: "content-left" };
const _hoisted_8 = { class: "part-top" };
const _hoisted_9 = { class: "content-cont" };
const _hoisted_10 = { class: "content-right" };
const _hoisted_11 = { class: "top-title" };
const _hoisted_12 = {
  ref: "contentFormEl",
  class: "content-right__form"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return _openBlock(), _createElementBlock("div", _hoisted_1, [
    _createCommentVNode(" \u9876\u90E8\u83DC\u5355\u680F "),
    _createElementVNode("div", _hoisted_2, [
      _createElementVNode("div", {
        class: "pagoda-left-right-layout__back-text",
        onClick: $setup.handleBack
      }, [
        _createElementVNode(
          "span",
          null,
          _toDisplayString(_ctx.backText),
          1
          /* TEXT */
        )
      ]),
      _createCommentVNode(" \u9875\u9762\u6807\u9898 "),
      _createElementVNode(
        "div",
        _hoisted_3,
        _toDisplayString(_ctx.title),
        1
        /* TEXT */
      ),
      _createCommentVNode(" \u6309\u94AE\u533A "),
      _createElementVNode("div", _hoisted_4, [
        _renderSlot(_ctx.$slots, "operation")
      ])
    ]),
    _createCommentVNode(" \u9876\u90E8\u680F\u4E0B\u65B9\u63D2\u69FD "),
    _ctx.$slots["before-content"] ? (_openBlock(), _createElementBlock("div", _hoisted_5, [
      _renderSlot(_ctx.$slots, "before-content")
    ])) : _createCommentVNode("v-if", true),
    _createCommentVNode(" \u4E3B\u5185\u5BB9\u533A "),
    _createElementVNode("div", _hoisted_6, [
      _createCommentVNode(" \u5DE6\u8FB9\u5185\u5BB9\u533A "),
      _createElementVNode("div", _hoisted_7, [
        _createElementVNode("div", _hoisted_8, [
          _renderSlot(_ctx.$slots, "tabs")
        ]),
        _createElementVNode("div", _hoisted_9, [
          _renderSlot(_ctx.$slots, "content")
        ])
      ]),
      _cache[0] || (_cache[0] = _createElementVNode(
        "div",
        { class: "content-border" },
        null,
        -1
        /* HOISTED */
      )),
      _createCommentVNode(" \u53F3\u8FB9\u4FE1\u606F\u680F "),
      _createElementVNode("div", _hoisted_10, [
        _createElementVNode(
          "div",
          {
            class: _normalizeClass(["content-right__top", { "top-border": $setup.hasBorder }])
          },
          [
            _createElementVNode(
              "div",
              _hoisted_11,
              _toDisplayString(_ctx.subTitle),
              1
              /* TEXT */
            ),
            _renderSlot(_ctx.$slots, "edit")
          ],
          2
          /* CLASS */
        ),
        _createElementVNode(
          "div",
          _hoisted_12,
          [
            _renderSlot(_ctx.$slots, "content-form")
          ],
          512
          /* NEED_PATCH */
        )
      ])
    ])
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
