var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent as _defineComponent } from "vue";
import { computed } from "vue";
import { suffixIconProps } from "./suffixIcon.mjs";
import { Icon } from "../../icon/index.mjs";
import { useFormSize } from "element-plus/es/index.mjs";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("suffix-icon");
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "suffix-icon",
  props: suffixIconProps,
  emits: ["icon-click"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const size = useFormSize();
    const wrapperType = computed(() => {
      return props.type === "select" ? "select" : "input";
    });
    const classes = computed(() => {
      return [
        "pagoda-suffix-icon__wrapper",
        `el-${wrapperType.value}__wrapper`,
        {
          "el-input__suffix": wrapperType.value === "input"
        }
      ];
    });
    const handleClick = (e) => {
      emit("icon-click", e);
    };
    const __returned__ = { name, props, emit, size, wrapperType, classes, handleClick, get Icon() {
      return Icon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { renderSlot as _renderSlot, withModifiers as _withModifiers, normalizeClass as _normalizeClass, createVNode as _createVNode, createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return _openBlock(), _createElementBlock(
    "div",
    {
      class: _normalizeClass(["pagoda-suffix-icon", [{
        "has-icon": _ctx.icon,
        [`el-${_ctx.type}--${$setup.size}`]: !!$setup.size
      }, `el-${_ctx.type}`]])
    },
    [
      _renderSlot(_ctx.$slots, "default"),
      _createElementVNode(
        "div",
        {
          class: _normalizeClass($setup.classes)
        },
        [
          _createVNode($setup["Icon"], {
            class: _normalizeClass(["el-select__caret pagoda-suffix-icon__icon", [_ctx.iconClass]]),
            is: _ctx.icon,
            onClick: _withModifiers($setup.handleClick, ["stop"])
          }, null, 8, ["class", "is"])
        ],
        2
        /* CLASS */
      )
    ],
    2
    /* CLASS */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
