import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { ElRadio } from "element-plus/es/index.mjs";
const radio = {
  defaultSet: {
    width: 48,
    renderColumn(slotProps) {
      return _createVNode(ElRadio, _mergeProps({
        "class": "pagoda-table-column-radio",
        "modelValue": slotProps.tableProvider.radio.selectedIdx
      }, {
        "onUpdate:modelValue": function() {
          slotProps.tableProvider.mitter.emit("pagoda-table:radio-change", {
            selected: slotProps.row,
            selectedIdx: slotProps.$index
          });
        }
      }, {
        "value": slotProps.$index
      }), null);
    }
  }
};
export {
  radio
};
