import type { ExtractPropTypes } from 'vue';
import type { DefaultRow } from 'element-plus/es/components/table/src/table/defaults';
import type { CellsStatesCreator } from './composables/use-table-store';
import type { TableEditableValidator } from './types';
export declare const tableEditableProps: {
    tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
    editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
    rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    } | (((new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    }) | null)[], unknown, unknown, () => {}, boolean>;
    cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => CellsStatesCreator) | (() => CellsStatesCreator) | (((new (...args: any[]) => CellsStatesCreator) | (() => CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
    validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, TableEditableValidator>) | (() => Record<string, TableEditableValidator>) | (((new (...args: any[]) => Record<string, TableEditableValidator>) | (() => Record<string, TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
    defaultEditing: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    validateMsgTooltip: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    childrenKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type TableEditableProps = ExtractPropTypes<typeof tableEditableProps>;
