import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_ARR, GET_EMPTY_OBJ } from "pagoda-shared";
const tableEditableProps = buildProps({
  tableData: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  editableColumns: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  rowStates: {
    type: definePropType(
      Function
    ),
    default: GET_EMPTY_OBJ
  },
  cellsStates: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  validators: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  defaultEditing: {
    type: Boolean
  },
  validateMsgTooltip: {
    type: Boolean
  },
  childrenKey: {
    type: String
  }
});
export {
  tableEditableProps
};
