const prefix = "pagoda";
const getFormGrid = function(coefficient) {
  const filter = (target) => target > 24 ? 24 : target;
  const span = filter(12 * coefficient);
  const lgs = filter(8 * coefficient);
  const lgm = filter(6 * coefficient);
  const xl = filter(6 * coefficient);
  return {
    span,
    xl,
    class: `pd-col-lgs-${lgs} pd-col-lgm-${lgm}`
  };
};
const PAGODA = {
  form: {
    labelWidth: 114,
    baseFormWidth: "40%",
    grid: getFormGrid(1),
    gridSpan2: getFormGrid(2),
    gridSpan3: getFormGrid(3),
    gridSpan4: getFormGrid(4)
  }
};
export {
  PAGODA,
  prefix
};
