var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  getFlowNodes: () => getFlowNodes,
  isFlowNode: () => isFlowNode,
  isSequenceFlow: () => isSequenceFlow,
  parseXML: () => parseXML
});
module.exports = __toCommonJS(stdin_exports);
var import_bpmn_moddle = __toESM(require("bpmn-moddle"));
function parseXML(xml) {
  const moddle = new import_bpmn_moddle.default();
  return moddle.fromXML(xml, "bpmn:Definitions", {});
}
function isFlowNode(businessObject) {
  var _a, _b;
  return (_b = (_a = businessObject.$instanceOf) == null ? void 0 : _a.call(businessObject, "bpmn:FlowNode")) != null ? _b : false;
}
function isSequenceFlow(businessObject) {
  var _a, _b;
  return (_b = (_a = businessObject.$instanceOf) == null ? void 0 : _a.call(businessObject, "bpmn:SequenceFlow")) != null ? _b : false;
}
function getFlowNodes(elementsById) {
  if (elementsById === void 0) {
    return [];
  }
  return Object.values(elementsById).filter(
    (businessObject) => isFlowNode(businessObject)
  );
}
