var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  collapseButtonProps: () => collapseButtonProps,
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_lib = require("element-plus/lib/index.js");
var import_icon = require("../../icon");
var import_icons_vue = require("@element-plus/icons-vue");
var import_utils = require("../../utils/index");
var import_lodash_unified = require("lodash-unified");
const name = (0, import_utils.createNamespace)("collapse-button");
const PdIcon = import_icon.Icon;
const collapseButtonProps = {
  max: {
    type: Number,
    default: 3
  }
};
var stdin_default = (0, import_vue.defineComponent)({
  name,
  props: collapseButtonProps,
  setup(props, {
    slots
  }) {
    function getButtons() {
      var _a;
      const defaultSlots = (_a = slots.default) == null ? void 0 : _a.call(slots);
      const buttons = [];
      if (!defaultSlots)
        return buttons;
      defaultSlots.forEach((vnode) => {
        if (vnode.type === import_vue.Comment)
          return;
        if (vnode.type === import_vue.Fragment) {
          if ((0, import_lodash_unified.isArray)(vnode.children)) {
            vnode.children.forEach((v) => {
              if ((0, import_vue.isVNode)(v)) {
                buttons.push(v);
              }
            });
          }
        } else {
          buttons.push(vnode);
        }
      });
      return buttons;
    }
    function renderCollapseController() {
      const renderDefaultController = () => (0, import_vue.createVNode)(import_lib.ElButton, {
        "type": "primary"
      }, {
        default: () => [(0, import_vue.createTextVNode)("\u66F4\u591A\u6761\u4EF6"), (0, import_vue.createVNode)(PdIcon, {
          "class": "el-icon--right",
          "is": import_icons_vue.ArrowDown
        }, null)]
      });
      const renderController = slots["collapse-controller"] || renderDefaultController;
      return (0, import_vue.createVNode)("div", {
        "class": "pagoda-collapse-button__controller"
      }, [renderController()]);
    }
    function renderDropdown(overflowButton) {
      return (0, import_vue.createVNode)(import_lib.ElDropdownMenu, null, {
        default: () => [overflowButton.map((btn) => {
          btn.props = __spreadProps(__spreadValues({}, btn.props), {
            link: false,
            type: "default"
          });
          return (0, import_vue.createVNode)(import_lib.ElDropdownItem, {
            "class": "pagoda-collapse-button-dropdown-item"
          }, {
            default: () => [btn]
          });
        })]
      });
    }
    return () => {
      const buttons = getButtons();
      const outsideButtons = buttons.slice(0, props.max);
      const overflowButton = buttons.slice(props.max, buttons.length);
      return (0, import_vue.createVNode)("div", {
        "class": "pagoda-collapse-button"
      }, [...outsideButtons, Boolean(overflowButton.length) && (0, import_vue.createVNode)(import_lib.ElDropdown, {
        "placement": "bottom",
        "class": "pagoda-collapse-button-dropdown"
      }, {
        default: () => [renderCollapseController()],
        dropdown: () => renderDropdown(overflowButton)
      })]);
    };
  }
});
