var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_layoutV2Header = require("./layoutV2Header");
var import_vue_router = require("vue-router");
var import_pagoda_shared = require("pagoda-shared");
var import_types = require("../../layout-v2/src/types");
var import_pagoda_shared2 = require("pagoda-shared");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("layout-v2-header");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "layout-v2-header",
  props: import_layoutV2Header.layoutV2HeaderProps,
  emits: ["select-header-menu"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const layoutV2Provider = (0, import_vue2.inject)(import_types.LAYOUT_V2_INJECTION_KEY);
    const router = (0, import_vue_router.useRouter)();
    const props = __props;
    const emit = __emit;
    const activeMenu = (0, import_vue2.ref)();
    (0, import_vue2.watch)(router.currentRoute, setDefaultActive, {
      immediate: true
    });
    (0, import_vue2.watch)(() => props.menu, setDefaultActive);
    (0, import_pagoda_shared.useEffect)(
      () => {
        if (layoutV2Provider) {
          layoutV2Provider.hasHeader.value = true;
        }
      },
      () => {
        if (layoutV2Provider) {
          layoutV2Provider.hasHeader.value = false;
        }
      }
    );
    function setDefaultActive() {
      const fullPath = router.currentRoute.value.fullPath.split("?")[0];
      const mathUrlCollection = (0, import_pagoda_shared2.getMatchUrlCollection)(fullPath);
      activeMenu.value = props.menu.find((menuItem) => {
        return mathUrlCollection.includes(menuItem.url);
      });
    }
    const __returned__ = { name, layoutV2Provider, router, props, emit, activeMenu, setDefaultActive };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-layout-v2-header" };
const _hoisted_2 = { class: "pagoda-layout-v2-header-title" };
const _hoisted_3 = {
  key: 0,
  class: "pagoda-layout-v2-header-menu"
};
const _hoisted_4 = ["onClick"];
const _hoisted_5 = { class: "pagoda-layout-v2-header-right" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_1, [
    (0, import_vue3.createElementVNode)("div", _hoisted_2, [
      (0, import_vue3.renderSlot)(_ctx.$slots, "header-left")
    ]),
    _ctx.menu.length ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_3, [
      (0, import_vue3.renderSlot)(_ctx.$slots, "before-menu"),
      (0, import_vue3.createElementVNode)("ul", null, [
        ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
          import_vue3.Fragment,
          null,
          (0, import_vue3.renderList)(_ctx.menu, (menuItem) => {
            return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("li", {
              class: (0, import_vue3.normalizeClass)({ active: $setup.activeMenu === menuItem }),
              onClick: ($event) => $setup.emit("select-header-menu", menuItem)
            }, (0, import_vue3.toDisplayString)(menuItem.label), 11, _hoisted_4);
          }),
          256
          /* UNKEYED_FRAGMENT */
        ))
      ]),
      (0, import_vue3.renderSlot)(_ctx.$slots, "after-menu")
    ])) : (0, import_vue3.createCommentVNode)("v-if", true),
    (0, import_vue3.createElementVNode)("div", _hoisted_5, [
      (0, import_vue3.renderSlot)(_ctx.$slots, "header-right")
    ])
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
