import type { LayoutTabItem, LayoutTabContextMenuItem } from '../types';
import type { ComputedRef } from 'vue';
import type { UseTabsReturnType } from './useTabs';
interface UseTabContextMenuParams {
    isTabClosable: UseTabsReturnType['isTabClosable'];
    customTabContextMenus: ComputedRef<LayoutTabContextMenuItem[]>;
    onCloseCurrentTab: (mouseRightDownTab: LayoutTabItem) => void;
    onCloseOthersTabs: (mouseRightDownTab: LayoutTabItem) => void;
    onCloseAllTabs: (mouseRightDownTab: LayoutTabItem) => void;
}
export declare function useTabContextMenu({ isTabClosable, customTabContextMenus, onCloseCurrentTab, onCloseOthersTabs, onCloseAllTabs, }: UseTabContextMenuParams): {
    allTabContextMenus: ComputedRef<LayoutTabContextMenuItem[]>;
    contextmenuOnTab: (tab: LayoutTabItem) => void;
};
export {};
