import type { ExtractPropTypes, PropType } from 'vue';
export type ResizeContainerDirection = 'row' | 'column';
export declare const resizeContainerProps: {
    minSize: import("element-plus/es/utils").EpPropFinalized<(StringConstructor | NumberConstructor)[], unknown, unknown, string, boolean>;
    maxSize: import("element-plus/es/utils").EpPropFinalized<(StringConstructor | NumberConstructor)[], unknown, unknown, string, boolean>;
    defaultSize: {
        readonly type: PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    reverse: BooleanConstructor;
    direction: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => "column" | "row") | (() => ResizeContainerDirection) | (((new (...args: any[]) => "column" | "row") | (() => ResizeContainerDirection)) | null)[], unknown, unknown, string, boolean>;
};
export type ResizeContainerProps = ExtractPropTypes<typeof resizeContainerProps>;
