var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  PAGODA: () => PAGODA,
  prefix: () => prefix
});
module.exports = __toCommonJS(stdin_exports);
const prefix = "pagoda";
const getFormGrid = function(coefficient) {
  const filter = (target) => target > 24 ? 24 : target;
  const span = filter(12 * coefficient);
  const lgs = filter(8 * coefficient);
  const lgm = filter(6 * coefficient);
  const xl = filter(6 * coefficient);
  return {
    span,
    xl,
    class: `pd-col-lgs-${lgs} pd-col-lgm-${lgm}`
  };
};
const PAGODA = {
  form: {
    labelWidth: 114,
    baseFormWidth: "40%",
    grid: getFormGrid(1),
    gridSpan2: getFormGrid(2),
    gridSpan3: getFormGrid(3),
    gridSpan4: getFormGrid(4)
  }
};
