import type { VirtualTableColumn, TableStore } from '../types';
import type { Ref } from 'vue';
export declare function useColumns<T>({ columns, store, }: {
    columns: Ref<VirtualTableColumn<T>[]>;
    store: Ref<TableStore>;
}): {
    selectable: import("vue").ComputedRef<((row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, index: number) => boolean) | undefined>;
    orignalColumns: import("vue").ComputedRef<any[]>;
};
