var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import { SelectProps } from "element-plus/es/components/select/src/select.mjs";
import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_ARR } from "pagoda-shared";
const extendProps = buildProps({
  onAdvancedSearch: {
    type: definePropType(Function)
  },
  group: {
    type: Boolean
  },
  groupLabelKey: {
    type: definePropType([
      String,
      Function
    ]),
    default: "label"
  },
  groupOptionsKey: {
    type: definePropType([
      String,
      Function
    ]),
    default: "options"
  },
  groupDisabledKey: {
    type: definePropType([
      String,
      Function
    ]),
    default: "disabled"
  },
  labelKey: {
    type: definePropType([
      String,
      Function
    ]),
    default: "label"
  },
  disabledKey: {
    type: definePropType([
      String,
      Function
    ]),
    default: "disabled"
  },
  bindObject: {
    type: Boolean
  },
  options: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  formatter: {
    type: definePropType(Function)
  },
  beforeInput: {
    type: definePropType(Function)
  },
  onlyOneAutoSelect: {
    type: Boolean
  }
});
const baseSelectProps = __spreadValues(__spreadValues({}, SelectProps), extendProps);
export {
  baseSelectProps
};
