var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent as _defineComponent } from "vue";
import { ref } from "vue";
import { detailLayoutV1Props } from "./detailLayoutV1.mjs";
import { useEventListener } from "@vueuse/core";
import { ElButton } from "element-plus/es/index.mjs";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("detail-layout-v1");
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "detail-layout-v1",
  props: detailLayoutV1Props,
  emits: ["back"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const emit = __emit;
    const headerFixed = ref(false);
    const contentAreaEl = ref();
    useEventListener(contentAreaEl, "scroll", () => {
      headerFixed.value = contentAreaEl.value.scrollTop > 0;
    });
    function handleBack() {
      emit("back");
    }
    const __returned__ = { name, emit, headerFixed, contentAreaEl, handleBack, get ElButton() {
      return ElButton;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { renderSlot as _renderSlot, toDisplayString as _toDisplayString, createTextVNode as _createTextVNode, withCtx as _withCtx, openBlock as _openBlock, createBlock as _createBlock, createCommentVNode as _createCommentVNode, createElementVNode as _createElementVNode, normalizeClass as _normalizeClass, createElementBlock as _createElementBlock } from "vue";
const _hoisted_1 = { class: "pagoda-detail-layout-v1" };
const _hoisted_2 = { class: "pagoda-detail-layout-v1__header-left" };
const _hoisted_3 = { class: "pagoda-detail-layout-v1__header-title" };
const _hoisted_4 = { class: "pagoda-detail-layout-v1__header-right" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return _openBlock(), _createElementBlock("div", _hoisted_1, [
    _createElementVNode(
      "div",
      {
        class: _normalizeClass(["pagoda-detail-layout-v1__header", {
          "pagoda-detail-layout-v1__header--fixed": $setup.headerFixed
        }])
      },
      [
        _createElementVNode("div", _hoisted_2, [
          _renderSlot(_ctx.$slots, "header-left", {}, () => [
            _ctx.backBtnVisible ? (_openBlock(), _createBlock($setup["ElButton"], {
              key: 0,
              type: "primary",
              link: "",
              onClick: $setup.handleBack
            }, {
              default: _withCtx(() => [
                _createTextVNode(
                  _toDisplayString(_ctx.backBtnText),
                  1
                  /* TEXT */
                )
              ]),
              _: 1
              /* STABLE */
            })) : _createCommentVNode("v-if", true)
          ])
        ]),
        _createElementVNode("div", _hoisted_3, [
          _renderSlot(_ctx.$slots, "header-title", {}, () => [
            _createTextVNode(
              _toDisplayString(_ctx.title),
              1
              /* TEXT */
            )
          ])
        ]),
        _createElementVNode("div", _hoisted_4, [
          _renderSlot(_ctx.$slots, "header-right")
        ])
      ],
      2
      /* CLASS */
    ),
    _createElementVNode(
      "div",
      {
        ref: "contentAreaEl",
        class: _normalizeClass(["pagoda-detail-layout-v1__content", {
          "pagoda-detail-layout-v1__content--flex": _ctx.overflowHidden
        }])
      },
      [
        _renderSlot(_ctx.$slots, "default")
      ],
      2
      /* CLASS */
    )
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
