import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
const dropdownProps = buildProps({
  dropdownClass: {
    type: String,
    default: ""
  },
  hideOnClick: {
    type: Boolean,
    default: true
  },
  relativeTarget: {
    type: definePropType(Function),
    default: () => {
      var _a;
      return (_a = document.querySelector(".pagoda-dropdown")) == null ? void 0 : _a.parentElement;
    }
  }
});
export {
  dropdownProps
};
