import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
const flexProps = buildProps({
  inline: {
    type: Boolean
  },
  direction: {
    type: definePropType(String),
    default: "row"
  },
  wrap: {
    type: definePropType(String)
  },
  justifyContent: {
    type: definePropType(String)
  },
  alignItems: {
    type: definePropType(String)
  },
  alignContent: {
    type: definePropType(String)
  }
});
export {
  flexProps
};
