import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_ARR, GET_EMPTY_OBJ } from "pagoda-shared";
const layoutProps = buildProps({
  logo: String,
  logoText: String,
  userInfo: {
    type: definePropType(Object)
  },
  onLogout: {
    type: definePropType(Function)
  },
  onOperateItemClick: {
    type: definePropType(Function)
  },
  defaultTabs: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  sideElMenuProps: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  topElMenuProps: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  sideMenus: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  topMenus: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  activeTab: {
    type: definePropType(Object)
  },
  fullscreen: Boolean,
  themeToggler: Boolean,
  tabContextMenus: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  beforeTabsRemove: {
    type: definePropType(Function)
  },
  titleKey: String,
  childrenKey: String,
  iconKey: String,
  indexKey: String
});
export {
  layoutProps
};
