import type { TableCustomColumn, TableColumnDefaultSlotProps } from './types';
import type { TableRegisterColumnConfig } from '../../table/src/types';
export declare const extendColumnTypeCustomColumns: Record<string, TableCustomColumn | undefined>;
export declare const customColumns: Record<string, TableCustomColumn | undefined>;
export declare function registerColumn(type: string, config: TableRegisterColumnConfig, columns?: Record<string, TableCustomColumn | undefined>): void;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    column: {
        readonly type: import("vue").PropType<"">;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    required: BooleanConstructor;
    reserveRadio: BooleanConstructor;
    renderColumn: {
        readonly type: import("vue").PropType<(slotProps: {
            cellValue: any;
            props: any;
            slots: import("vue").Slots;
            emit: import("vue").EmitFn;
            tableProvider: import("../../table/src/types").TableProvider;
        } & TableColumnDefaultSlotProps) => any>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    renderHeader: FunctionConstructor;
    autoMinWidth: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    type: {
        type: StringConstructor;
        default: string;
    };
    label: StringConstructor;
    className: StringConstructor;
    labelClassName: StringConstructor;
    property: StringConstructor;
    prop: StringConstructor;
    width: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    minWidth: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    sortable: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
    sortMethod: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortMethod"]>;
    sortBy: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortBy"]>;
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    columnKey: StringConstructor;
    align: StringConstructor;
    headerAlign: StringConstructor;
    showOverflowTooltip: {
        type: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        default: undefined;
    };
    fixed: (StringConstructor | BooleanConstructor)[];
    formatter: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["formatter"]>;
    selectable: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["selectable"]>;
    reserveSelection: BooleanConstructor;
    filterMethod: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filterMethod"]>;
    filteredValue: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filteredValue"]>;
    filters: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filters"]>;
    filterPlacement: StringConstructor;
    filterMultiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    filterClassName: StringConstructor;
    index: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["index"]>;
    sortOrders: {
        type: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortOrders"]>;
        default: () => (string | null)[];
        validator: (val: import("element-plus").TableColumnCtx<unknown>["sortOrders"]) => boolean;
    };
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    column: {
        readonly type: import("vue").PropType<"">;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    required: BooleanConstructor;
    reserveRadio: BooleanConstructor;
    renderColumn: {
        readonly type: import("vue").PropType<(slotProps: {
            cellValue: any;
            props: any;
            slots: import("vue").Slots;
            emit: import("vue").EmitFn;
            tableProvider: import("../../table/src/types").TableProvider;
        } & TableColumnDefaultSlotProps) => any>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    renderHeader: FunctionConstructor;
    autoMinWidth: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    type: {
        type: StringConstructor;
        default: string;
    };
    label: StringConstructor;
    className: StringConstructor;
    labelClassName: StringConstructor;
    property: StringConstructor;
    prop: StringConstructor;
    width: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    minWidth: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    sortable: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
    sortMethod: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortMethod"]>;
    sortBy: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortBy"]>;
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    columnKey: StringConstructor;
    align: StringConstructor;
    headerAlign: StringConstructor;
    showOverflowTooltip: {
        type: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        default: undefined;
    };
    fixed: (StringConstructor | BooleanConstructor)[];
    formatter: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["formatter"]>;
    selectable: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["selectable"]>;
    reserveSelection: BooleanConstructor;
    filterMethod: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filterMethod"]>;
    filteredValue: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filteredValue"]>;
    filters: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["filters"]>;
    filterPlacement: StringConstructor;
    filterMultiple: {
        type: BooleanConstructor;
        default: boolean;
    };
    filterClassName: StringConstructor;
    index: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["index"]>;
    sortOrders: {
        type: import("vue").PropType<import("element-plus").TableColumnCtx<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["sortOrders"]>;
        default: () => (string | null)[];
        validator: (val: import("element-plus").TableColumnCtx<unknown>["sortOrders"]) => boolean;
    };
}>> & Readonly<{}>, {
    type: string;
    required: boolean;
    width: string | number;
    minWidth: string | number;
    reserveRadio: boolean;
    autoMinWidth: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    sortable: string | boolean;
    resizable: boolean;
    showOverflowTooltip: boolean | Partial<Pick<import("element-plus").ElTooltipProps, "effect" | "popperClass" | "popperOptions" | "showArrow" | "offset" | "placement" | "appendTo" | "transition" | "enterable" | "showAfter" | "hideAfter">> | undefined;
    reserveSelection: boolean;
    filterMultiple: boolean;
    sortOrders: ("ascending" | "descending" | null)[];
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
