import type { DefaultRow } from 'element-plus/es/components/table/src/table/defaults';
import type { TableEditableCellValidateOwnCallback } from '../../table-editable-cell/src/types';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
    editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
    rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    } | (((new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    }) | null)[], unknown, unknown, () => {}, boolean>;
    cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./composables/use-table-store").CellsStatesCreator) | (() => import("./composables/use-table-store").CellsStatesCreator) | (((new (...args: any[]) => import("./composables/use-table-store").CellsStatesCreator) | (() => import("./composables/use-table-store").CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
    validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, import("./types").TableEditableValidator>) | (() => Record<string, import("./types").TableEditableValidator>) | (((new (...args: any[]) => Record<string, import("./types").TableEditableValidator>) | (() => Record<string, import("./types").TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
    defaultEditing: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    validateMsgTooltip: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    childrenKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}>, {
    editRows: (rows: DefaultRow[]) => void;
    editColumns: (rows: DefaultRow[], cells: string[]) => void;
    delRows: (rows: DefaultRow[], parent?: DefaultRow) => void;
    newRows: (rows: DefaultRow[], parent?: DefaultRow) => any[];
    insertRowsBeforeRow: (row: DefaultRow, rows: DefaultRow[], parent?: DefaultRow) => any[];
    insertRowsAfterRow: (row: DefaultRow, rows: DefaultRow[], parent?: DefaultRow) => any[];
    saveRows: (rows: DefaultRow[]) => void;
    cancelRows: (rows: DefaultRow[], shouldRollbackData?: boolean) => void;
    saveCells: (rows: DefaultRow[], cells: string[]) => void;
    cancelCells: (rows: DefaultRow[], cells: string[], shouldRollbackData?: boolean) => void;
    validate: (cb: TableEditableCellValidateOwnCallback) => void;
    validateRows: (rows: DefaultRow[], cb: TableEditableCellValidateOwnCallback, deep?: boolean) => void;
    validateCells: (rows: DefaultRow[], cells: string[], cb: TableEditableCellValidateOwnCallback, deep?: boolean) => void;
    isEditing: () => boolean;
    store: {
        states: WeakMap<import("./composables/use-table-store").RowData, import("./composables/use-table-store").UseTableStoreRowConfig<Record<string, any>, Record<string, any>>>;
        tableCacheData: WeakMap<import("./composables/use-table-store").RowData, import("./composables/use-table-store").RowData>;
    } & {
        addStore: (data: import("./composables/use-table-store").UseTableStoreData, parent?: import("./composables/use-table-store").RowData) => void;
        resetStore: (data: import("./composables/use-table-store").UseTableStoreData) => void;
        setRowsStates: (rows: import("./composables/use-table-store").RowData[], states: import("./composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
        setCellStates: (rows: import("./composables/use-table-store").RowData[], cells: string[], states: import("./composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
        resetCellsStates: (data: import("./composables/use-table-store").UseTableStoreData) => void;
        setRowsCache: (rows: import("./composables/use-table-store").RowData[]) => void;
        getRowsCache: (rows: import("./composables/use-table-store").RowData[]) => (import("./composables/use-table-store").RowData | undefined)[];
        getCellStates: (row: import("./composables/use-table-store").RowData, cell: string) => Record<string, any> | undefined;
        getRowStates: (row: import("./composables/use-table-store").RowData) => Record<string, any> | undefined;
        getCellsStates: (row: import("./composables/use-table-store").RowData) => Record<string, Record<string, any>> | undefined;
        delRowsStates: (rows: import("./composables/use-table-store").RowData[]) => void;
        deleteRowsCache: (rows: import("./composables/use-table-store").RowData[]) => void;
        delRowsStore: (rows: import("./composables/use-table-store").RowData[]) => void;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:table-data": (v: any[]) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
    editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
    rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    } | (((new (...args: any[]) => (row: DefaultRow, parent?: DefaultRow) => any) | (() => (row: DefaultRow, parent?: DefaultRow) => any) | {
        (): (row: DefaultRow, parent?: DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    }) | null)[], unknown, unknown, () => {}, boolean>;
    cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./composables/use-table-store").CellsStatesCreator) | (() => import("./composables/use-table-store").CellsStatesCreator) | (((new (...args: any[]) => import("./composables/use-table-store").CellsStatesCreator) | (() => import("./composables/use-table-store").CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
    validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, import("./types").TableEditableValidator>) | (() => Record<string, import("./types").TableEditableValidator>) | (((new (...args: any[]) => Record<string, import("./types").TableEditableValidator>) | (() => Record<string, import("./types").TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
    defaultEditing: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    validateMsgTooltip: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    childrenKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}>> & Readonly<{
    "onUpdate:table-data"?: ((v: any[]) => any) | undefined;
}>, {
    tableData: any[];
    rowStates: (row: DefaultRow, parent?: DefaultRow) => any;
    cellsStates: import("./composables/use-table-store").CellsStatesCreator;
    editableColumns: string[];
    validators: Record<string, import("./types").TableEditableValidator>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
