declare const Table: import("../utils/index").WithInstall<{
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        wrapperHeight: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        request: {
            readonly type: import("vue").PropType<import("./src/composables/use-table-request").TableRequestHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRequest: {
            readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        columns: {
            readonly type: import("vue").PropType<import("./src/types").RenderTableColumnsProps[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps) | (((new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
        autoMinWidth: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        data: never;
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"auto" | "fixed">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        "onRadio-change"?: ((selectedRadio: any) => any) | undefined;
    }>, {
        elTableCtx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, {}, {}, {}, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, {}, {}, {}, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }> | undefined>;
        refresh: () => Promise<void>;
        refreshCurrentPage: () => Promise<void>;
        setCurrentRadio: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
        clearRadio: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "radio-change": (selectedRadio: any) => any;
    }, import("vue").PublicProps, {
        lazy: boolean;
        style: import("vue").CSSProperties;
        border: boolean;
        tableLayout: "auto" | "fixed";
        className: string;
        autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        defaultExpandAll: boolean;
        indent: number;
        autoMinWidth: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        pagination: import("./src/types").TablePaginationProps;
        fit: boolean;
        stripe: boolean;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        selectOnIndeterminate: boolean;
        scrollbarAlwaysOn: boolean;
        flexible: boolean;
        scrollbarTabindex: string | number;
        allowDragLastColumn: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        wrapperHeight: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        request: {
            readonly type: import("vue").PropType<import("./src/composables/use-table-request").TableRequestHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRequest: {
            readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        columns: {
            readonly type: import("vue").PropType<import("./src/types").RenderTableColumnsProps[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps) | (((new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
        autoMinWidth: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        data: never;
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"auto" | "fixed">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & Readonly<{
        "onRadio-change"?: ((selectedRadio: any) => any) | undefined;
    }>, {
        elTableCtx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, {}, {}, {}, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            data: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
                default: () => never[];
            };
            size: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            width: (NumberConstructor | StringConstructor)[];
            height: (NumberConstructor | StringConstructor)[];
            maxHeight: (NumberConstructor | StringConstructor)[];
            fit: {
                type: BooleanConstructor;
                default: boolean;
            };
            stripe: BooleanConstructor;
            border: BooleanConstructor;
            rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
            showHeader: {
                type: BooleanConstructor;
                default: boolean;
            };
            showSummary: BooleanConstructor;
            sumText: StringConstructor;
            summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
            rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
            rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
            cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
            cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
            headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
            headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
            headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
            headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
            highlightCurrentRow: BooleanConstructor;
            currentRowKey: (NumberConstructor | StringConstructor)[];
            emptyText: StringConstructor;
            expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
            defaultExpandAll: BooleanConstructor;
            defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
            tooltipEffect: StringConstructor;
            tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
            spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
            selectOnIndeterminate: {
                type: BooleanConstructor;
                default: boolean;
            };
            indent: {
                type: NumberConstructor;
                default: number;
            };
            treeProps: {
                type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
                default: () => {
                    hasChildren: string;
                    children: string;
                    checkStrictly: boolean;
                };
            };
            lazy: BooleanConstructor;
            load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
            style: {
                type: import("vue").PropType<import("vue").CSSProperties>;
                default: () => {};
            };
            className: {
                type: StringConstructor;
                default: string;
            };
            tableLayout: {
                type: import("vue").PropType<"fixed" | "auto">;
                default: string;
            };
            scrollbarAlwaysOn: BooleanConstructor;
            flexible: BooleanConstructor;
            showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
            appendFilterPanelTo: StringConstructor;
            scrollbarTabindex: {
                type: (NumberConstructor | StringConstructor)[];
                default: undefined;
            };
            allowDragLastColumn: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>> & {
            onScroll?: ((...args: any[]) => any) | undefined;
            onSelect?: ((...args: any[]) => any) | undefined;
            "onExpand-change"?: ((...args: any[]) => any) | undefined;
            "onCurrent-change"?: ((...args: any[]) => any) | undefined;
            "onSelect-all"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
            "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
            "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onCell-click"?: ((...args: any[]) => any) | undefined;
            "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
            "onHeader-click"?: ((...args: any[]) => any) | undefined;
            "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onFilter-change"?: ((...args: any[]) => any) | undefined;
            "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
        }, {
            ns: {
                namespace: import("vue").ComputedRef<string>;
                b: (blockSuffix?: string) => string;
                e: (element?: string) => string;
                m: (modifier?: string) => string;
                be: (blockSuffix?: string, element?: string) => string;
                em: (element?: string, modifier?: string) => string;
                bm: (blockSuffix?: string, modifier?: string) => string;
                bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
                is: {
                    (name: string, state: boolean | undefined): string;
                    (name: string): string;
                };
                cssVar: (object: Record<string, string>) => Record<string, string>;
                cssVarName: (name: string) => string;
                cssVarBlock: (object: Record<string, string>) => Record<string, string>;
                cssVarBlockName: (name: string) => string;
            };
            layout: import("element-plus/es/components/table/src/table-layout").default<any>;
            store: any;
            columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
            handleHeaderFooterMousewheel: (event: any, data: any) => void;
            handleMouseLeave: () => void;
            tableId: string;
            tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
            isHidden: import("vue").Ref<boolean>;
            isEmpty: import("vue").ComputedRef<boolean>;
            renderExpanded: import("vue").Ref<null>;
            resizeProxyVisible: import("vue").Ref<boolean>;
            resizeState: import("vue").Ref<{
                width: null | number;
                height: null | number;
                headerHeight: null | number;
            }>;
            isGroup: import("vue").Ref<boolean>;
            bodyWidth: import("vue").ComputedRef<string>;
            tableBodyStyles: import("vue").ComputedRef<{
                width: string;
            }>;
            emptyBlockStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
            } | null>;
            debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
            handleFixedMousewheel: (event: any, data: any) => void;
            setCurrentRow: (row: any) => void;
            getSelectionRows: () => any;
            toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
            clearSelection: () => void;
            clearFilter: (columnKeys?: string[]) => void;
            toggleAllSelection: () => void;
            toggleRowExpansion: (row: any, expanded?: boolean) => void;
            clearSort: () => void;
            doLayout: () => void;
            sort: (prop: string, order: string) => void;
            updateKeyChildren: (key: string, data: any[]) => void;
            t: import("element-plus").Translator;
            setDragVisible: (visible: boolean) => void;
            context: import("element-plus").Table<any>;
            computedSumText: import("vue").ComputedRef<string>;
            computedEmptyText: import("vue").ComputedRef<string>;
            tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
            scrollbarViewStyle: {
                display: string;
                verticalAlign: string;
            };
            scrollbarStyle: import("vue").ComputedRef<{
                height: string;
                maxHeight?: undefined;
            } | {
                maxHeight: string;
                height?: undefined;
            } | {
                height?: undefined;
                maxHeight?: undefined;
            }>;
            scrollBarRef: import("vue").Ref<any>;
            scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
            setScrollLeft: (left?: number) => void;
            setScrollTop: (top?: number) => void;
            allowDragLastColumn: boolean;
        }, {}, {}, {}, {
            data: any[];
            style: import("vue").CSSProperties;
            tableLayout: "fixed" | "auto";
            border: boolean;
            className: string;
            fit: boolean;
            lazy: boolean;
            scrollbarAlwaysOn: boolean;
            allowDragLastColumn: boolean;
            stripe: boolean;
            treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
            showHeader: boolean;
            showSummary: boolean;
            highlightCurrentRow: boolean;
            defaultExpandAll: boolean;
            selectOnIndeterminate: boolean;
            indent: number;
            flexible: boolean;
            scrollbarTabindex: string | number;
        }> | undefined>;
        refresh: () => Promise<void>;
        refreshCurrentPage: () => Promise<void>;
        setCurrentRadio: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
        clearRadio: () => void;
    }, {}, {}, {}, {
        lazy: boolean;
        style: import("vue").CSSProperties;
        border: boolean;
        tableLayout: "auto" | "fixed";
        className: string;
        autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        defaultExpandAll: boolean;
        indent: number;
        autoMinWidth: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        pagination: import("./src/types").TablePaginationProps;
        fit: boolean;
        stripe: boolean;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        selectOnIndeterminate: boolean;
        scrollbarAlwaysOn: boolean;
        flexible: boolean;
        scrollbarTabindex: string | number;
        allowDragLastColumn: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    wrapperHeight: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    request: {
        readonly type: import("vue").PropType<import("./src/composables/use-table-request").TableRequestHandler>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onRequest: {
        readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    columns: {
        readonly type: import("vue").PropType<import("./src/types").RenderTableColumnsProps[]>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps) | (((new (...args: any[]) => import("./src/types").TablePaginationProps) | (() => import("./src/types").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
    autoMinWidth: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    data: never;
    size: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    width: (NumberConstructor | StringConstructor)[];
    height: (NumberConstructor | StringConstructor)[];
    maxHeight: (NumberConstructor | StringConstructor)[];
    fit: {
        type: BooleanConstructor;
        default: boolean;
    };
    stripe: BooleanConstructor;
    border: BooleanConstructor;
    rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSummary: BooleanConstructor;
    sumText: StringConstructor;
    summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
    rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
    rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
    cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
    cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
    headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
    headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
    headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
    headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
    highlightCurrentRow: BooleanConstructor;
    currentRowKey: (NumberConstructor | StringConstructor)[];
    emptyText: StringConstructor;
    expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
    defaultExpandAll: BooleanConstructor;
    defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
    tooltipEffect: StringConstructor;
    tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
    spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
    selectOnIndeterminate: {
        type: BooleanConstructor;
        default: boolean;
    };
    indent: {
        type: NumberConstructor;
        default: number;
    };
    treeProps: {
        type: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
        default: () => {
            hasChildren: string;
            children: string;
            checkStrictly: boolean;
        };
    };
    lazy: BooleanConstructor;
    load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
    style: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        default: () => {};
    };
    className: {
        type: StringConstructor;
        default: string;
    };
    tableLayout: {
        type: import("vue").PropType<"auto" | "fixed">;
        default: string;
    };
    scrollbarAlwaysOn: BooleanConstructor;
    flexible: BooleanConstructor;
    showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
    appendFilterPanelTo: StringConstructor;
    scrollbarTabindex: {
        type: (NumberConstructor | StringConstructor)[];
        default: undefined;
    };
    allowDragLastColumn: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{
    "onRadio-change"?: ((selectedRadio: any) => any) | undefined;
}>, {
    elTableCtx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
            default: () => never[];
        };
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"fixed" | "auto">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onScroll?: ((...args: any[]) => any) | undefined;
        onSelect?: ((...args: any[]) => any) | undefined;
        "onExpand-change"?: ((...args: any[]) => any) | undefined;
        "onCurrent-change"?: ((...args: any[]) => any) | undefined;
        "onSelect-all"?: ((...args: any[]) => any) | undefined;
        "onSelection-change"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
        "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onCell-click"?: ((...args: any[]) => any) | undefined;
        "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
        "onRow-click"?: ((...args: any[]) => any) | undefined;
        "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
        "onHeader-click"?: ((...args: any[]) => any) | undefined;
        "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onSort-change"?: ((...args: any[]) => any) | undefined;
        "onFilter-change"?: ((...args: any[]) => any) | undefined;
        "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
    }, {
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element?: string, modifier?: string) => string;
            bm: (blockSuffix?: string, modifier?: string) => string;
            bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
            cssVar: (object: Record<string, string>) => Record<string, string>;
            cssVarName: (name: string) => string;
            cssVarBlock: (object: Record<string, string>) => Record<string, string>;
            cssVarBlockName: (name: string) => string;
        };
        layout: import("element-plus/es/components/table/src/table-layout").default<any>;
        store: any;
        columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
        handleHeaderFooterMousewheel: (event: any, data: any) => void;
        handleMouseLeave: () => void;
        tableId: string;
        tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
        isHidden: import("vue").Ref<boolean>;
        isEmpty: import("vue").ComputedRef<boolean>;
        renderExpanded: import("vue").Ref<null>;
        resizeProxyVisible: import("vue").Ref<boolean>;
        resizeState: import("vue").Ref<{
            width: null | number;
            height: null | number;
            headerHeight: null | number;
        }>;
        isGroup: import("vue").Ref<boolean>;
        bodyWidth: import("vue").ComputedRef<string>;
        tableBodyStyles: import("vue").ComputedRef<{
            width: string;
        }>;
        emptyBlockStyle: import("vue").ComputedRef<{
            width: string;
            height: string;
        } | null>;
        debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
        handleFixedMousewheel: (event: any, data: any) => void;
        setCurrentRow: (row: any) => void;
        getSelectionRows: () => any;
        toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
        clearSelection: () => void;
        clearFilter: (columnKeys?: string[]) => void;
        toggleAllSelection: () => void;
        toggleRowExpansion: (row: any, expanded?: boolean) => void;
        clearSort: () => void;
        doLayout: () => void;
        sort: (prop: string, order: string) => void;
        updateKeyChildren: (key: string, data: any[]) => void;
        t: import("element-plus").Translator;
        setDragVisible: (visible: boolean) => void;
        context: import("element-plus").Table<any>;
        computedSumText: import("vue").ComputedRef<string>;
        computedEmptyText: import("vue").ComputedRef<string>;
        tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
        scrollbarViewStyle: {
            display: string;
            verticalAlign: string;
        };
        scrollbarStyle: import("vue").ComputedRef<{
            height: string;
            maxHeight?: undefined;
        } | {
            maxHeight: string;
            height?: undefined;
        } | {
            height?: undefined;
            maxHeight?: undefined;
        }>;
        scrollBarRef: import("vue").Ref<any>;
        scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
        setScrollLeft: (left?: number) => void;
        setScrollTop: (top?: number) => void;
        allowDragLastColumn: boolean;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
        data: any[];
        style: import("vue").CSSProperties;
        tableLayout: "fixed" | "auto";
        border: boolean;
        className: string;
        fit: boolean;
        lazy: boolean;
        scrollbarAlwaysOn: boolean;
        allowDragLastColumn: boolean;
        stripe: boolean;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        defaultExpandAll: boolean;
        selectOnIndeterminate: boolean;
        indent: number;
        flexible: boolean;
        scrollbarTabindex: string | number;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
            default: () => never[];
        };
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"fixed" | "auto">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onScroll?: ((...args: any[]) => any) | undefined;
        onSelect?: ((...args: any[]) => any) | undefined;
        "onExpand-change"?: ((...args: any[]) => any) | undefined;
        "onCurrent-change"?: ((...args: any[]) => any) | undefined;
        "onSelect-all"?: ((...args: any[]) => any) | undefined;
        "onSelection-change"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
        "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onCell-click"?: ((...args: any[]) => any) | undefined;
        "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
        "onRow-click"?: ((...args: any[]) => any) | undefined;
        "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
        "onHeader-click"?: ((...args: any[]) => any) | undefined;
        "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onSort-change"?: ((...args: any[]) => any) | undefined;
        "onFilter-change"?: ((...args: any[]) => any) | undefined;
        "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
    }, {
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element?: string, modifier?: string) => string;
            bm: (blockSuffix?: string, modifier?: string) => string;
            bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
            cssVar: (object: Record<string, string>) => Record<string, string>;
            cssVarName: (name: string) => string;
            cssVarBlock: (object: Record<string, string>) => Record<string, string>;
            cssVarBlockName: (name: string) => string;
        };
        layout: import("element-plus/es/components/table/src/table-layout").default<any>;
        store: any;
        columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
        handleHeaderFooterMousewheel: (event: any, data: any) => void;
        handleMouseLeave: () => void;
        tableId: string;
        tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
        isHidden: import("vue").Ref<boolean>;
        isEmpty: import("vue").ComputedRef<boolean>;
        renderExpanded: import("vue").Ref<null>;
        resizeProxyVisible: import("vue").Ref<boolean>;
        resizeState: import("vue").Ref<{
            width: null | number;
            height: null | number;
            headerHeight: null | number;
        }>;
        isGroup: import("vue").Ref<boolean>;
        bodyWidth: import("vue").ComputedRef<string>;
        tableBodyStyles: import("vue").ComputedRef<{
            width: string;
        }>;
        emptyBlockStyle: import("vue").ComputedRef<{
            width: string;
            height: string;
        } | null>;
        debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
        handleFixedMousewheel: (event: any, data: any) => void;
        setCurrentRow: (row: any) => void;
        getSelectionRows: () => any;
        toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
        clearSelection: () => void;
        clearFilter: (columnKeys?: string[]) => void;
        toggleAllSelection: () => void;
        toggleRowExpansion: (row: any, expanded?: boolean) => void;
        clearSort: () => void;
        doLayout: () => void;
        sort: (prop: string, order: string) => void;
        updateKeyChildren: (key: string, data: any[]) => void;
        t: import("element-plus").Translator;
        setDragVisible: (visible: boolean) => void;
        context: import("element-plus").Table<any>;
        computedSumText: import("vue").ComputedRef<string>;
        computedEmptyText: import("vue").ComputedRef<string>;
        tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
        scrollbarViewStyle: {
            display: string;
            verticalAlign: string;
        };
        scrollbarStyle: import("vue").ComputedRef<{
            height: string;
            maxHeight?: undefined;
        } | {
            maxHeight: string;
            height?: undefined;
        } | {
            height?: undefined;
            maxHeight?: undefined;
        }>;
        scrollBarRef: import("vue").Ref<any>;
        scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
        setScrollLeft: (left?: number) => void;
        setScrollTop: (top?: number) => void;
        allowDragLastColumn: boolean;
    }, {}, {}, {}, {
        data: any[];
        style: import("vue").CSSProperties;
        tableLayout: "fixed" | "auto";
        border: boolean;
        className: string;
        fit: boolean;
        lazy: boolean;
        scrollbarAlwaysOn: boolean;
        allowDragLastColumn: boolean;
        stripe: boolean;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        defaultExpandAll: boolean;
        selectOnIndeterminate: boolean;
        indent: number;
        flexible: boolean;
        scrollbarTabindex: string | number;
    }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
            default: () => never[];
        };
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"fixed" | "auto">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onScroll?: ((...args: any[]) => any) | undefined;
        onSelect?: ((...args: any[]) => any) | undefined;
        "onExpand-change"?: ((...args: any[]) => any) | undefined;
        "onCurrent-change"?: ((...args: any[]) => any) | undefined;
        "onSelect-all"?: ((...args: any[]) => any) | undefined;
        "onSelection-change"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
        "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onCell-click"?: ((...args: any[]) => any) | undefined;
        "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
        "onRow-click"?: ((...args: any[]) => any) | undefined;
        "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
        "onHeader-click"?: ((...args: any[]) => any) | undefined;
        "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onSort-change"?: ((...args: any[]) => any) | undefined;
        "onFilter-change"?: ((...args: any[]) => any) | undefined;
        "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
    }, {
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element?: string, modifier?: string) => string;
            bm: (blockSuffix?: string, modifier?: string) => string;
            bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
            cssVar: (object: Record<string, string>) => Record<string, string>;
            cssVarName: (name: string) => string;
            cssVarBlock: (object: Record<string, string>) => Record<string, string>;
            cssVarBlockName: (name: string) => string;
        };
        layout: import("element-plus/es/components/table/src/table-layout").default<any>;
        store: any;
        columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
        handleHeaderFooterMousewheel: (event: any, data: any) => void;
        handleMouseLeave: () => void;
        tableId: string;
        tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
        isHidden: import("vue").Ref<boolean>;
        isEmpty: import("vue").ComputedRef<boolean>;
        renderExpanded: import("vue").Ref<null>;
        resizeProxyVisible: import("vue").Ref<boolean>;
        resizeState: import("vue").Ref<{
            width: null | number;
            height: null | number;
            headerHeight: null | number;
        }>;
        isGroup: import("vue").Ref<boolean>;
        bodyWidth: import("vue").ComputedRef<string>;
        tableBodyStyles: import("vue").ComputedRef<{
            width: string;
        }>;
        emptyBlockStyle: import("vue").ComputedRef<{
            width: string;
            height: string;
        } | null>;
        debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
        handleFixedMousewheel: (event: any, data: any) => void;
        setCurrentRow: (row: any) => void;
        getSelectionRows: () => any;
        toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
        clearSelection: () => void;
        clearFilter: (columnKeys?: string[]) => void;
        toggleAllSelection: () => void;
        toggleRowExpansion: (row: any, expanded?: boolean) => void;
        clearSort: () => void;
        doLayout: () => void;
        sort: (prop: string, order: string) => void;
        updateKeyChildren: (key: string, data: any[]) => void;
        t: import("element-plus").Translator;
        setDragVisible: (visible: boolean) => void;
        context: import("element-plus").Table<any>;
        computedSumText: import("vue").ComputedRef<string>;
        computedEmptyText: import("vue").ComputedRef<string>;
        tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
        scrollbarViewStyle: {
            display: string;
            verticalAlign: string;
        };
        scrollbarStyle: import("vue").ComputedRef<{
            height: string;
            maxHeight?: undefined;
        } | {
            maxHeight: string;
            height?: undefined;
        } | {
            height?: undefined;
            maxHeight?: undefined;
        }>;
        scrollBarRef: import("vue").Ref<any>;
        scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
        setScrollLeft: (left?: number) => void;
        setScrollTop: (top?: number) => void;
        allowDragLastColumn: boolean;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "scroll" | "current-change" | "select-all" | "expand-change" | "selection-change" | "cell-mouse-enter" | "cell-mouse-leave" | "cell-contextmenu" | "cell-click" | "cell-dblclick" | "row-click" | "row-contextmenu" | "row-dblclick" | "header-click" | "header-contextmenu" | "sort-change" | "filter-change" | "header-dragend")[], import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
        data: any[];
        style: import("vue").CSSProperties;
        tableLayout: "fixed" | "auto";
        border: boolean;
        className: string;
        fit: boolean;
        lazy: boolean;
        scrollbarAlwaysOn: boolean;
        allowDragLastColumn: boolean;
        stripe: boolean;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        defaultExpandAll: boolean;
        selectOnIndeterminate: boolean;
        indent: number;
        flexible: boolean;
        scrollbarTabindex: string | number;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        data: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").DefaultRow[]>;
            default: () => never[];
        };
        size: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<StringConstructor, "" | "small" | "default" | "large", never>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        width: (NumberConstructor | StringConstructor)[];
        height: (NumberConstructor | StringConstructor)[];
        maxHeight: (NumberConstructor | StringConstructor)[];
        fit: {
            type: BooleanConstructor;
            default: boolean;
        };
        stripe: BooleanConstructor;
        border: BooleanConstructor;
        rowKey: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowKey"]>;
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSummary: BooleanConstructor;
        sumText: StringConstructor;
        summaryMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["summaryMethod"]>;
        rowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowClassName"]>;
        rowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["rowStyle"]>;
        cellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellClassName"]>;
        cellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["cellStyle"]>;
        headerRowClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowClassName"]>;
        headerRowStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerRowStyle"]>;
        headerCellClassName: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellClassName"]>;
        headerCellStyle: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["headerCellStyle"]>;
        highlightCurrentRow: BooleanConstructor;
        currentRowKey: (NumberConstructor | StringConstructor)[];
        emptyText: StringConstructor;
        expandRowKeys: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["expandRowKeys"]>;
        defaultExpandAll: BooleanConstructor;
        defaultSort: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["defaultSort"]>;
        tooltipEffect: StringConstructor;
        tooltipOptions: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["tooltipOptions"]>;
        spanMethod: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["spanMethod"]>;
        selectOnIndeterminate: {
            type: BooleanConstructor;
            default: boolean;
        };
        indent: {
            type: NumberConstructor;
            default: number;
        };
        treeProps: {
            type: import("vue").PropType<import("element-plus/es/components/table/src/table/defaults").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["treeProps"]>;
            default: () => {
                hasChildren: string;
                children: string;
                checkStrictly: boolean;
            };
        };
        lazy: BooleanConstructor;
        load: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["load"]>;
        style: {
            type: import("vue").PropType<import("vue").CSSProperties>;
            default: () => {};
        };
        className: {
            type: StringConstructor;
            default: string;
        };
        tableLayout: {
            type: import("vue").PropType<"fixed" | "auto">;
            default: string;
        };
        scrollbarAlwaysOn: BooleanConstructor;
        flexible: BooleanConstructor;
        showOverflowTooltip: import("vue").PropType<import("element-plus").TableProps<import("element-plus/es/components/table/src/table/defaults").DefaultRow>["showOverflowTooltip"]>;
        appendFilterPanelTo: StringConstructor;
        scrollbarTabindex: {
            type: (NumberConstructor | StringConstructor)[];
            default: undefined;
        };
        allowDragLastColumn: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        onScroll?: ((...args: any[]) => any) | undefined;
        onSelect?: ((...args: any[]) => any) | undefined;
        "onExpand-change"?: ((...args: any[]) => any) | undefined;
        "onCurrent-change"?: ((...args: any[]) => any) | undefined;
        "onSelect-all"?: ((...args: any[]) => any) | undefined;
        "onSelection-change"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-enter"?: ((...args: any[]) => any) | undefined;
        "onCell-mouse-leave"?: ((...args: any[]) => any) | undefined;
        "onCell-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onCell-click"?: ((...args: any[]) => any) | undefined;
        "onCell-dblclick"?: ((...args: any[]) => any) | undefined;
        "onRow-click"?: ((...args: any[]) => any) | undefined;
        "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onRow-dblclick"?: ((...args: any[]) => any) | undefined;
        "onHeader-click"?: ((...args: any[]) => any) | undefined;
        "onHeader-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onSort-change"?: ((...args: any[]) => any) | undefined;
        "onFilter-change"?: ((...args: any[]) => any) | undefined;
        "onHeader-dragend"?: ((...args: any[]) => any) | undefined;
    }, {
        ns: {
            namespace: import("vue").ComputedRef<string>;
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element?: string, modifier?: string) => string;
            bm: (blockSuffix?: string, modifier?: string) => string;
            bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
            is: {
                (name: string, state: boolean | undefined): string;
                (name: string): string;
            };
            cssVar: (object: Record<string, string>) => Record<string, string>;
            cssVarName: (name: string) => string;
            cssVarBlock: (object: Record<string, string>) => Record<string, string>;
            cssVarBlockName: (name: string) => string;
        };
        layout: import("element-plus/es/components/table/src/table-layout").default<any>;
        store: any;
        columns: import("vue").ComputedRef<import("element-plus").TableColumnCtx<unknown>>;
        handleHeaderFooterMousewheel: (event: any, data: any) => void;
        handleMouseLeave: () => void;
        tableId: string;
        tableSize: import("vue").ComputedRef<"" | "small" | "default" | "large">;
        isHidden: import("vue").Ref<boolean>;
        isEmpty: import("vue").ComputedRef<boolean>;
        renderExpanded: import("vue").Ref<null>;
        resizeProxyVisible: import("vue").Ref<boolean>;
        resizeState: import("vue").Ref<{
            width: null | number;
            height: null | number;
            headerHeight: null | number;
        }>;
        isGroup: import("vue").Ref<boolean>;
        bodyWidth: import("vue").ComputedRef<string>;
        tableBodyStyles: import("vue").ComputedRef<{
            width: string;
        }>;
        emptyBlockStyle: import("vue").ComputedRef<{
            width: string;
            height: string;
        } | null>;
        debouncedUpdateLayout: import("lodash-unified").DebouncedFunc<() => void>;
        handleFixedMousewheel: (event: any, data: any) => void;
        setCurrentRow: (row: any) => void;
        getSelectionRows: () => any;
        toggleRowSelection: (row: any, selected?: boolean, ignoreSelectable?: boolean) => void;
        clearSelection: () => void;
        clearFilter: (columnKeys?: string[]) => void;
        toggleAllSelection: () => void;
        toggleRowExpansion: (row: any, expanded?: boolean) => void;
        clearSort: () => void;
        doLayout: () => void;
        sort: (prop: string, order: string) => void;
        updateKeyChildren: (key: string, data: any[]) => void;
        t: import("element-plus").Translator;
        setDragVisible: (visible: boolean) => void;
        context: import("element-plus").Table<any>;
        computedSumText: import("vue").ComputedRef<string>;
        computedEmptyText: import("vue").ComputedRef<string>;
        tableLayout: import("vue").ComputedRef<("fixed" | "auto") | undefined>;
        scrollbarViewStyle: {
            display: string;
            verticalAlign: string;
        };
        scrollbarStyle: import("vue").ComputedRef<{
            height: string;
            maxHeight?: undefined;
        } | {
            maxHeight: string;
            height?: undefined;
        } | {
            height?: undefined;
            maxHeight?: undefined;
        }>;
        scrollBarRef: import("vue").Ref<any>;
        scrollTo: (options: ScrollToOptions | number, yCoord?: number) => void;
        setScrollLeft: (left?: number) => void;
        setScrollTop: (top?: number) => void;
        allowDragLastColumn: boolean;
    }, {}, {}, {}, {
        data: any[];
        style: import("vue").CSSProperties;
        tableLayout: "fixed" | "auto";
        border: boolean;
        className: string;
        fit: boolean;
        lazy: boolean;
        scrollbarAlwaysOn: boolean;
        allowDragLastColumn: boolean;
        stripe: boolean;
        treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
        showHeader: boolean;
        showSummary: boolean;
        highlightCurrentRow: boolean;
        defaultExpandAll: boolean;
        selectOnIndeterminate: boolean;
        indent: number;
        flexible: boolean;
        scrollbarTabindex: string | number;
    }> | undefined>;
    refresh: () => Promise<void>;
    refreshCurrentPage: () => Promise<void>;
    setCurrentRadio: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
    clearRadio: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "radio-change": (selectedRadio: any) => any;
}, string, {
    lazy: boolean;
    style: import("vue").CSSProperties;
    border: boolean;
    tableLayout: "auto" | "fixed";
    className: string;
    autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    treeProps: import("element-plus/es/components/table/src/table/defaults").TreeProps | undefined;
    defaultExpandAll: boolean;
    indent: number;
    autoMinWidth: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    pagination: import("./src/types").TablePaginationProps;
    fit: boolean;
    stripe: boolean;
    showHeader: boolean;
    showSummary: boolean;
    highlightCurrentRow: boolean;
    selectOnIndeterminate: boolean;
    scrollbarAlwaysOn: boolean;
    flexible: boolean;
    scrollbarTabindex: string | number;
    allowDragLastColumn: boolean;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: Partial<Record<string, (_: any) => any>> & {
        default?(_: {}): any;
        "after-table"?(_: {}): any;
    };
})>;
export * from './src/composables/use-table-request';
export * from './src/table';
export * from './src/types';
export default Table;
export { Table };
declare module 'vue' {
    interface GlobalComponents {
        PagodaTable: typeof Table;
    }
}
