import type { ComputedRef, InjectionKey } from 'vue';
import type { Emitter } from 'mitt';
import type { DefaultRow } from 'element-plus/es/components/table/src/table/defaults';
export interface TableRadio {
    selected: DefaultRow;
    selectedIdx?: string | number | boolean;
}
export interface TableProvider {
    mitter: Emitter<TableMitter>;
    radio: TableRadio;
    reserveRadio: boolean;
    autoMinWidth: ComputedRef<boolean>;
}
export type TableMitter = {
    'pagoda-table:radio-change': TableProvider['radio'];
};
export declare const TABLE_INJECTION_KEY: InjectionKey<TableProvider>;
