import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_ARR } from "pagoda-shared";
const virtualListProps = buildProps({
  list: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  listRowHeight: {
    type: Number,
    required: true,
    default: 30
  },
  excessRows: {
    type: Number,
    default: 10
  }
});
export {
  virtualListProps
};
