var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_baseSelect = require("./baseSelect");
var import_select = require("element-plus/lib/components/select/src/select.js");
var import_lib = require("element-plus/lib/index.js");
var import_suffix_icon = require("../../suffix-icon");
var import_icons_vue = require("@element-plus/icons-vue");
var import_pagoda_shared = require("pagoda-shared");
var import_lodash_unified = require("lodash-unified");
var import_pagoda_shared2 = require("pagoda-shared");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("base-select");
const __default__ = {
  name,
  inheritAttrs: false
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_baseSelect.baseSelectProps,
  emits: ["update:modelValue"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const slots = (0, import_vue2.useSlots)();
    const elSelectAttrs = (0, import_pagoda_shared2.usePickProps)(props, import_select.SelectProps, {
      ignoreClassAndStyle: true
    });
    const elSelectCtx = (0, import_vue2.ref)();
    const queryStr = (0, import_vue2.ref)("");
    const suffixIcon = (0, import_vue2.computed)(() => {
      return props.onAdvancedSearch && !props.loading ? import_icons_vue.More : "";
    });
    const elSelectSlots = (0, import_vue2.computed)(() => {
      return ["prefix", "empty"].filter((name2) => slots[name2]);
    });
    const getKey = (obj, key) => {
      return (0, import_lodash_unified.isFunction)(key) ? key(obj) : obj[key];
    };
    const getGroupProps = (group) => {
      const label = getKey(group, props.groupLabelKey);
      const disabled = getKey(group, props.groupDisabledKey);
      return __spreadProps(__spreadValues({}, group), {
        label,
        disabled
      });
    };
    const getOptionProps = (option) => {
      const label = getKey(option, props.labelKey);
      const value = getKey(option, props.valueKey);
      const disabled = getKey(option, props.disabledKey);
      return __spreadProps(__spreadValues({}, option), {
        label,
        value: props.bindObject ? option : value,
        disabled
      });
    };
    const getGroupKey = (group) => {
      return getKey(group, props.groupLabelKey);
    };
    const getOptionKey = (option) => {
      return getKey(option, props.valueKey);
    };
    const getOptionLable = (option) => {
      return props.formatter ? props.formatter(option) : getKey(option, props.labelKey);
    };
    const handleAdvancedSearch = () => {
      var _a;
      if (props.disabled)
        return;
      (_a = props.onAdvancedSearch) == null ? void 0 : _a.call(props);
    };
    const handleUpdateModelValue = (val) => {
      const next = (newVal) => {
        emit("update:modelValue", newVal);
      };
      if (props.beforeInput) {
        props.beforeInput(val, next);
      } else {
        next(val);
      }
    };
    const handleRemote = (query) => {
      var _a;
      queryStr.value = query;
      (_a = props.remoteMethod) == null ? void 0 : _a.call(props, query);
    };
    (0, import_vue2.watch)(
      () => props.options,
      () => {
        var _a;
        if (props.onlyOneAutoSelect && props.options.length === 1 && (0, import_pagoda_shared.isEmpty)(props.modelValue) && ((_a = queryStr.value) == null ? void 0 : _a.length) === 0) {
          const [option] = props.options;
          const val = props.bindObject ? option : getKey(option, props.valueKey);
          handleUpdateModelValue(props.multiple ? [val] : val);
        }
      },
      {
        immediate: true
      }
    );
    __expose({
      elSelectCtx
    });
    const __returned__ = { name, props, emit, slots, elSelectAttrs, elSelectCtx, queryStr, suffixIcon, elSelectSlots, getKey, getGroupProps, getOptionProps, getGroupKey, getOptionKey, getOptionLable, handleAdvancedSearch, handleUpdateModelValue, handleRemote, get ElSelect() {
      return import_lib.ElSelect;
    }, get ElOptionGroup() {
      return import_lib.ElOptionGroup;
    }, get ElOption() {
      return import_lib.ElOption;
    }, get SuffixIcon() {
      return import_suffix_icon.SuffixIcon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["SuffixIcon"], {
    class: (0, import_vue3.normalizeClass)(["pagoda-base-select", _ctx.$attrs.class]),
    icon: $setup.suffixIcon,
    onIconClick: $setup.handleAdvancedSearch,
    style: (0, import_vue3.normalizeStyle)(_ctx.$attrs.style),
    size: $setup.props.size
  }, {
    default: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createVNode)($setup["ElSelect"], (0, import_vue3.mergeProps)($setup.elSelectAttrs, {
        "remote-method": $setup.handleRemote,
        "value-key": _ctx.valueKey,
        "onUpdate:modelValue": $setup.handleUpdateModelValue,
        ref: "elSelectCtx"
      }), (0, import_vue3.createSlots)({
        default: (0, import_vue3.withCtx)(() => [
          _ctx.group ? ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
            import_vue3.Fragment,
            { key: 0 },
            (0, import_vue3.renderList)(_ctx.options, (groupItem) => {
              return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
                $setup["ElOptionGroup"],
                (0, import_vue3.mergeProps)({
                  key: $setup.getGroupKey(groupItem),
                  ref_for: true
                }, $setup.getGroupProps(groupItem)),
                {
                  default: (0, import_vue3.withCtx)(() => [
                    ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                      import_vue3.Fragment,
                      null,
                      (0, import_vue3.renderList)($setup.getKey(groupItem, _ctx.groupOptionsKey), (option) => {
                        return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
                          $setup["ElOption"],
                          (0, import_vue3.mergeProps)({
                            key: $setup.getOptionKey(option),
                            ref_for: true
                          }, $setup.getOptionProps(option)),
                          {
                            default: (0, import_vue3.withCtx)(() => [
                              $setup.slots.default ? (0, import_vue3.renderSlot)(_ctx.$slots, "default", (0, import_vue3.mergeProps)({
                                key: 0,
                                ref_for: true
                              }, option)) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
                                import_vue3.Fragment,
                                { key: 1 },
                                [
                                  (0, import_vue3.createTextVNode)(
                                    (0, import_vue3.toDisplayString)($setup.getOptionLable(option)),
                                    1
                                    /* TEXT */
                                  )
                                ],
                                64
                                /* STABLE_FRAGMENT */
                              ))
                            ]),
                            _: 2
                            /* DYNAMIC */
                          },
                          1040
                          /* FULL_PROPS, DYNAMIC_SLOTS */
                        );
                      }),
                      128
                      /* KEYED_FRAGMENT */
                    ))
                  ]),
                  _: 2
                  /* DYNAMIC */
                },
                1040
                /* FULL_PROPS, DYNAMIC_SLOTS */
              );
            }),
            128
            /* KEYED_FRAGMENT */
          )) : ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
            import_vue3.Fragment,
            { key: 1 },
            (0, import_vue3.renderList)(_ctx.options, (option) => {
              return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
                $setup["ElOption"],
                (0, import_vue3.mergeProps)({
                  key: $setup.getOptionKey(option),
                  ref_for: true
                }, $setup.getOptionProps(option)),
                {
                  default: (0, import_vue3.withCtx)(() => [
                    $setup.slots.default ? (0, import_vue3.renderSlot)(_ctx.$slots, "default", (0, import_vue3.mergeProps)({
                      key: 0,
                      ref_for: true
                    }, option)) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
                      import_vue3.Fragment,
                      { key: 1 },
                      [
                        (0, import_vue3.createTextVNode)(
                          (0, import_vue3.toDisplayString)($setup.getOptionLable(option)),
                          1
                          /* TEXT */
                        )
                      ],
                      64
                      /* STABLE_FRAGMENT */
                    ))
                  ]),
                  _: 2
                  /* DYNAMIC */
                },
                1040
                /* FULL_PROPS, DYNAMIC_SLOTS */
              );
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ]),
        _: 2
        /* DYNAMIC */
      }, [
        (0, import_vue3.renderList)($setup.elSelectSlots, (slotName) => {
          return {
            name: slotName,
            fn: (0, import_vue3.withCtx)((scope) => [
              (0, import_vue3.renderSlot)(_ctx.$slots, slotName, (0, import_vue3.normalizeProps)((0, import_vue3.guardReactiveProps)(scope)))
            ])
          };
        })
      ]), 1040, ["value-key"])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["icon", "style", "class", "size"]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
