declare const BpmnViewer: import("../utils/index").WithInstall<{
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        viewerConstructor: {
            type: null;
        };
        xml: StringConstructor;
        emptyText: {
            type: StringConstructor;
            default: string;
        };
        loading: BooleanConstructor;
        clickable: BooleanConstructor;
        isElementClickable: import("vue").PropType<(element: import("./src/types").BusinessObject) => boolean>;
        tooltip: import("vue").PropType<Record<string, string>>;
        highlight: import("vue").PropType<Record<string, string | boolean>>;
        active: import("vue").PropType<Record<string, number | boolean>>;
        incident: import("vue").PropType<Record<string, number | boolean>>;
        completed: import("vue").PropType<Record<string, number | boolean>>;
        canceled: import("vue").PropType<Record<string, number | boolean>>;
    }>> & Readonly<{
        "onElement-click"?: ((element: import("./src/types").BpmnElement) => any) | undefined;
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "element-click": (element: import("./src/types").BpmnElement) => any;
    }, import("vue").PublicProps, {
        loading: boolean;
        emptyText: string;
        clickable: boolean;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        viewerConstructor: {
            type: null;
        };
        xml: StringConstructor;
        emptyText: {
            type: StringConstructor;
            default: string;
        };
        loading: BooleanConstructor;
        clickable: BooleanConstructor;
        isElementClickable: import("vue").PropType<(element: import("./src/types").BusinessObject) => boolean>;
        tooltip: import("vue").PropType<Record<string, string>>;
        highlight: import("vue").PropType<Record<string, string | boolean>>;
        active: import("vue").PropType<Record<string, number | boolean>>;
        incident: import("vue").PropType<Record<string, number | boolean>>;
        completed: import("vue").PropType<Record<string, number | boolean>>;
        canceled: import("vue").PropType<Record<string, number | boolean>>;
    }>> & Readonly<{
        "onElement-click"?: ((element: import("./src/types").BpmnElement) => any) | undefined;
    }>, {}, {}, {}, {}, {
        loading: boolean;
        emptyText: string;
        clickable: boolean;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    viewerConstructor: {
        type: null;
    };
    xml: StringConstructor;
    emptyText: {
        type: StringConstructor;
        default: string;
    };
    loading: BooleanConstructor;
    clickable: BooleanConstructor;
    isElementClickable: import("vue").PropType<(element: import("./src/types").BusinessObject) => boolean>;
    tooltip: import("vue").PropType<Record<string, string>>;
    highlight: import("vue").PropType<Record<string, string | boolean>>;
    active: import("vue").PropType<Record<string, number | boolean>>;
    incident: import("vue").PropType<Record<string, number | boolean>>;
    completed: import("vue").PropType<Record<string, number | boolean>>;
    canceled: import("vue").PropType<Record<string, number | boolean>>;
}>> & Readonly<{
    "onElement-click"?: ((element: import("./src/types").BpmnElement) => any) | undefined;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "element-click": (element: import("./src/types").BpmnElement) => any;
}, string, {
    loading: boolean;
    emptyText: string;
    clickable: boolean;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: Readonly<{
        empty(): any;
    }> & {
        empty(): any;
    };
})>;
export * from './src/constants';
export * from './src/helper';
export * from './src/types';
export * from './src/bpmnViewer';
export default BpmnViewer;
export { BpmnViewer };
declare module 'vue' {
    interface GlobalComponents {
        PagodaBpmnViewer: typeof BpmnViewer;
    }
}
