var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_detailLayoutV1 = require("./detailLayoutV1");
var import_core = require("@vueuse/core");
var import_lib = require("element-plus/lib/index.js");
var import_utils = require("../../utils/index");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("detail-layout-v1");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "detail-layout-v1",
  props: import_detailLayoutV1.detailLayoutV1Props,
  emits: ["back"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const emit = __emit;
    const headerFixed = (0, import_vue2.ref)(false);
    const contentAreaEl = (0, import_vue2.ref)();
    (0, import_core.useEventListener)(contentAreaEl, "scroll", () => {
      headerFixed.value = contentAreaEl.value.scrollTop > 0;
    });
    function handleBack() {
      emit("back");
    }
    const __returned__ = { name, emit, headerFixed, contentAreaEl, handleBack, get ElButton() {
      return import_lib.ElButton;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-detail-layout-v1" };
const _hoisted_2 = { class: "pagoda-detail-layout-v1__header-left" };
const _hoisted_3 = { class: "pagoda-detail-layout-v1__header-title" };
const _hoisted_4 = { class: "pagoda-detail-layout-v1__header-right" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_1, [
    (0, import_vue3.createElementVNode)(
      "div",
      {
        class: (0, import_vue3.normalizeClass)(["pagoda-detail-layout-v1__header", {
          "pagoda-detail-layout-v1__header--fixed": $setup.headerFixed
        }])
      },
      [
        (0, import_vue3.createElementVNode)("div", _hoisted_2, [
          (0, import_vue3.renderSlot)(_ctx.$slots, "header-left", {}, () => [
            _ctx.backBtnVisible ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElButton"], {
              key: 0,
              type: "primary",
              link: "",
              onClick: $setup.handleBack
            }, {
              default: (0, import_vue3.withCtx)(() => [
                (0, import_vue3.createTextVNode)(
                  (0, import_vue3.toDisplayString)(_ctx.backBtnText),
                  1
                  /* TEXT */
                )
              ]),
              _: 1
              /* STABLE */
            })) : (0, import_vue3.createCommentVNode)("v-if", true)
          ])
        ]),
        (0, import_vue3.createElementVNode)("div", _hoisted_3, [
          (0, import_vue3.renderSlot)(_ctx.$slots, "header-title", {}, () => [
            (0, import_vue3.createTextVNode)(
              (0, import_vue3.toDisplayString)(_ctx.title),
              1
              /* TEXT */
            )
          ])
        ]),
        (0, import_vue3.createElementVNode)("div", _hoisted_4, [
          (0, import_vue3.renderSlot)(_ctx.$slots, "header-right")
        ])
      ],
      2
      /* CLASS */
    ),
    (0, import_vue3.createElementVNode)(
      "div",
      {
        ref: "contentAreaEl",
        class: (0, import_vue3.normalizeClass)(["pagoda-detail-layout-v1__content", {
          "pagoda-detail-layout-v1__content--flex": _ctx.overflowHidden
        }])
      },
      [
        (0, import_vue3.renderSlot)(_ctx.$slots, "default")
      ],
      2
      /* CLASS */
    )
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
