import type { ExtractPropTypes } from 'vue';
import type { DialogProps } from 'element-plus';
export type DialogFormAction = 'edit' | 'create';
export declare const dialogFormProps: {
    modelValue: import("element-plus/es/utils").EpPropFinalized<ObjectConstructor, unknown, unknown, () => {}, boolean>;
    editDialogTitle: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    createDialogTitle: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    dialogProps: {
        readonly type: import("vue").PropType<Partial<DialogProps>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    cancelBtnText: import("element-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
    submitBtnText: import("element-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, string, boolean>;
};
export type DialogFormProps = ExtractPropTypes<typeof dialogFormProps>;
