import type { DefaultRow } from 'element-plus/es/components/table/src/table/defaults';
export declare function removeTableHoverClass(elTableEl: HTMLElement): void;
export interface UseElTableSortParams {
    rowKey: string;
    cancelMove: (draggedRow: DefaultRow, relativeRow: DefaultRow) => boolean;
    onEnd: (draggedRow: DefaultRow, relativeRow: DefaultRow) => void;
}
export declare function useElTableSort({ rowKey, cancelMove, onEnd, }: UseElTableSortParams): {
    sortCellClasses: (data: {
        row: any;
        rowIndex: number;
        column: import("element-plus/es/components/table/src/table-column/defaults").TableColumnCtx<any>;
        columnIndex: number;
    }) => string;
    initTableSort: ({ elTableEl, elTableData, }: {
        elTableEl: HTMLElement;
        elTableData: DefaultRow[];
    }) => void;
};
