var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  useTabContextMenu: () => useTabContextMenu
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
function useTabContextMenu({
  isTabClosable,
  customTabContextMenus,
  onCloseCurrentTab,
  onCloseOthersTabs,
  onCloseAllTabs
}) {
  const mouseRightDownTab = (0, import_vue.ref)();
  const allTabContextMenus = (0, import_vue.computed)(() => {
    const defaultContextMenus = [
      {
        title: "\u5173\u95ED",
        disabled: !mouseRightDownTab.value || !isTabClosable(mouseRightDownTab.value),
        divided: Boolean(customTabContextMenus.value.length),
        onClick: () => onCloseCurrentTab(mouseRightDownTab.value)
      },
      {
        title: "\u5173\u95ED\u5176\u4ED6",
        onClick: () => onCloseOthersTabs(mouseRightDownTab.value)
      },
      {
        title: "\u5173\u95ED\u6240\u6709",
        onClick: () => onCloseAllTabs(mouseRightDownTab.value)
      }
    ];
    return customTabContextMenus.value.concat(defaultContextMenus);
  });
  function contextmenuOnTab(tab) {
    mouseRightDownTab.value = tab;
  }
  return {
    allTabContextMenus,
    contextmenuOnTab
  };
}
