import type { LayoutMenuItem, LayoutTabItem } from './types';
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    logo: StringConstructor;
    logoText: StringConstructor;
    userInfo: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfo>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onLogout: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfoOnLogout>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onOperateItemClick: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfoOnOperateItemClick>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    defaultTabs: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutTabItem[]) | (() => LayoutTabItem[]) | (((new (...args: any[]) => LayoutTabItem[]) | (() => LayoutTabItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    sideElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    topElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    sideMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[]) | (((new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    topMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[]) | (((new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    activeTab: {
        readonly type: import("vue").PropType<LayoutTabItem>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    fullscreen: BooleanConstructor;
    themeToggler: BooleanConstructor;
    tabContextMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./types").LayoutTabContextMenuItem[]) | (() => import("./types").LayoutTabContextMenuItem[]) | (((new (...args: any[]) => import("./types").LayoutTabContextMenuItem[]) | (() => import("./types").LayoutTabContextMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    beforeTabsRemove: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => (removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        } | (((new (...args: any[]) => (removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        }) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    titleKey: StringConstructor;
    childrenKey: StringConstructor;
    iconKey: StringConstructor;
    indexKey: StringConstructor;
}>, {
    closeTab: (removeTabName: import("element-plus").TabPaneName, safeClose?: boolean) => void;
    closeActiveTab: () => void;
    closeAllTabs: (safeClose?: boolean) => void;
    closeOthersTabs: (ignoreTabName: LayoutTabItem["name"], safeClose?: boolean) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "side-menu-select": (menu: LayoutMenuItem) => any;
    "top-menu-select": (menu: LayoutMenuItem) => any;
    "update:activeTab": (activeTab: LayoutTabItem) => any;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    logo: StringConstructor;
    logoText: StringConstructor;
    userInfo: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfo>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onLogout: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfoOnLogout>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onOperateItemClick: {
        readonly type: import("vue").PropType<import("./types").LayoutUserInfoOnOperateItemClick>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    defaultTabs: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutTabItem[]) | (() => LayoutTabItem[]) | (((new (...args: any[]) => LayoutTabItem[]) | (() => LayoutTabItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    sideElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    topElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    sideMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[]) | (((new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    topMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[]) | (((new (...args: any[]) => LayoutMenuItem[]) | (() => LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    activeTab: {
        readonly type: import("vue").PropType<LayoutTabItem>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    fullscreen: BooleanConstructor;
    themeToggler: BooleanConstructor;
    tabContextMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./types").LayoutTabContextMenuItem[]) | (() => import("./types").LayoutTabContextMenuItem[]) | (((new (...args: any[]) => import("./types").LayoutTabContextMenuItem[]) | (() => import("./types").LayoutTabContextMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    beforeTabsRemove: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => (removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        } | (((new (...args: any[]) => (removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        }) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    titleKey: StringConstructor;
    childrenKey: StringConstructor;
    iconKey: StringConstructor;
    indexKey: StringConstructor;
}>> & Readonly<{
    "onSide-menu-select"?: ((menu: LayoutMenuItem) => any) | undefined;
    "onTop-menu-select"?: ((menu: LayoutMenuItem) => any) | undefined;
    "onUpdate:activeTab"?: ((activeTab: LayoutTabItem) => any) | undefined;
}>, {
    fullscreen: boolean;
    defaultTabs: LayoutTabItem[];
    sideElMenuProps: Partial<import("element-plus").MenuProps>;
    topElMenuProps: Partial<import("element-plus").MenuProps>;
    sideMenus: LayoutMenuItem[];
    topMenus: LayoutMenuItem[];
    themeToggler: boolean;
    tabContextMenus: import("./types").LayoutTabContextMenuItem[];
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>, Partial<Record<`user-info-${string}`, (_: {
    data: string | undefined;
}) => any>> & {
    logo?(_: {}): any;
    "logo-text"?(_: {}): any;
    "before-top-menu"?(_: {}): any;
    "after-top-menu"?(_: {}): any;
    "before-user-info"?(_: {}): any;
    "after-user-info"?(_: {}): any;
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
