var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_sub_menu_vue = __toESM(require("./sub-menu.vue.js"));
var import_lib = require("element-plus/lib/index.js");
var import_mitt = __toESM(require("mitt"));
var import_pagoda_shared = require("pagoda-shared");
var import_types = require("./types");
var import_vue3 = require("vue");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)({
  __name: "side-menu",
  props: {
    elMenuProps: { type: Object, required: true },
    menus: { type: Array, required: true, default: import_pagoda_shared.GET_EMPTY_ARR },
    titleKey: { type: String, required: false, default: "title" },
    childrenKey: { type: String, required: false, default: "children" },
    iconKey: { type: String, required: false, default: "icon" },
    indexKey: { type: String, required: false, default: "index" }
  },
  emits: ["select"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const emit = __emit;
    const sideMenuEmitter = (0, import_mitt.default)();
    (0, import_vue2.provide)(import_types.LAYOUT_SIDE_MENU_INJECTION_KEY, {
      sideMenuEmitter
    });
    sideMenuEmitter.on("pagoda-layout:side-menu-item-click", (item) => {
      if (item.disabled)
        return;
      emit("select", item);
    });
    const __returned__ = { emit, sideMenuEmitter, LayoutSubMenu: import_sub_menu_vue.default, get ElMenu() {
      return import_lib.ElMenu;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
});
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
    $setup["ElMenu"],
    (0, import_vue3.mergeProps)({ ref: "elMenuCtx" }, $props.elMenuProps),
    {
      default: (0, import_vue3.withCtx)(() => [
        ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
          import_vue3.Fragment,
          null,
          (0, import_vue3.renderList)($props.menus, (menu) => {
            return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["LayoutSubMenu"], {
              key: menu[$props.titleKey],
              menu,
              "title-key": $props.titleKey,
              "children-key": $props.childrenKey,
              "icon-key": $props.iconKey,
              "index-key": $props.indexKey
            }, null, 8, ["menu", "title-key", "children-key", "icon-key", "index-key"]);
          }),
          128
          /* KEYED_FRAGMENT */
        ))
      ]),
      _: 1
      /* STABLE */
    },
    16
    /* FULL_PROPS */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
