export interface LayoutUserInfoSubInfoItem {
    name: string;
    content?: string;
    [key: string]: any;
}
export interface LayoutUserInfoOperateItem {
    name: string;
    [key: string]: any;
}
export interface LayoutUserInfo {
    avatar?: string;
    userName?: string;
    info?: LayoutUserInfoSubInfoItem[];
    operate?: LayoutUserInfoOperateItem[];
}
export type LayoutUserInfoOnLogout = () => void;
export type LayoutUserInfoOnOperateItemClick = (item: LayoutUserInfoOperateItem) => void;
