var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_lib = require("element-plus/lib/index.js");
var import_icons_vue = require("@element-plus/icons-vue");
var import_pagoda_shared = require("pagoda-shared");
var import_vue3 = require("vue");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)({
  __name: "user-info",
  props: {
    avatar: { type: String, required: false },
    userName: { type: String, required: false },
    info: { type: Array, required: false, default: import_pagoda_shared.GET_EMPTY_ARR },
    operate: { type: Array, required: false, default: import_pagoda_shared.GET_EMPTY_ARR },
    infoLabelWidth: { type: Number, required: false, default: 60 },
    onLogout: { type: Function, required: false },
    onOperateItemClick: { type: Function, required: false }
  },
  setup(__props, { expose: __expose }) {
    __expose();
    const props = __props;
    const elDropdownCtx = (0, import_vue2.ref)();
    const labelStyle = (0, import_vue2.computed)(() => {
      return {
        width: `${props.infoLabelWidth}px`
      };
    });
    function handleMenuClick(cb) {
      elDropdownCtx.value.handleClose();
      cb == null ? void 0 : cb();
    }
    const __returned__ = { props, elDropdownCtx, labelStyle, handleMenuClick, get ElDropdown() {
      return import_lib.ElDropdown;
    }, get ElDropdownMenu() {
      return import_lib.ElDropdownMenu;
    }, get ElIcon() {
      return import_lib.ElIcon;
    }, get ElIconArrowDown() {
      return import_icons_vue.ArrowDown;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
});
const _hoisted_1 = { class: "pagoda-layout__user-info" };
const _hoisted_2 = ["src"];
const _hoisted_3 = {
  key: 1,
  class: "pagoda-layout__avatar pd-icon-avatar"
};
const _hoisted_4 = { class: "pagoda-layout__user-name" };
const _hoisted_5 = { class: "content" };
const _hoisted_6 = { class: "user-info" };
const _hoisted_7 = { class: "info" };
const _hoisted_8 = { class: "info-item" };
const _hoisted_9 = ["src"];
const _hoisted_10 = {
  key: 1,
  class: "avatar pd-icon-avatar"
};
const _hoisted_11 = { class: "user-name" };
const _hoisted_12 = { class: "info-item__content" };
const _hoisted_13 = { class: "operate" };
const _hoisted_14 = ["onClick"];
const _hoisted_15 = { class: "logout" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
    $setup["ElDropdown"],
    {
      ref: "elDropdownCtx",
      placement: "bottom-end",
      trigger: "click",
      class: "pagoda-layout__user-info-wrapper"
    },
    {
      dropdown: (0, import_vue3.withCtx)(() => [
        (0, import_vue3.createVNode)(
          $setup["ElDropdownMenu"],
          {
            ref: "elDropdownMenuCtx",
            class: "pagoda-layout-user-info"
          },
          {
            default: (0, import_vue3.withCtx)(() => [
              (0, import_vue3.createElementVNode)("div", _hoisted_5, [
                (0, import_vue3.createElementVNode)("div", _hoisted_6, [
                  (0, import_vue3.createElementVNode)("div", _hoisted_7, [
                    (0, import_vue3.createElementVNode)("div", _hoisted_8, [
                      (0, import_vue3.createElementVNode)(
                        "label",
                        {
                          class: "info-item__label",
                          style: (0, import_vue3.normalizeStyle)($setup.labelStyle)
                        },
                        [
                          $props.avatar ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("img", {
                            key: 0,
                            class: "avatar",
                            src: $props.avatar
                          }, null, 8, _hoisted_9)) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("i", _hoisted_10))
                        ],
                        4
                        /* STYLE */
                      ),
                      (0, import_vue3.createElementVNode)("span", _hoisted_11, [
                        (0, import_vue3.renderSlot)(_ctx.$slots, "user-name", { data: $props.userName }, () => [
                          (0, import_vue3.createTextVNode)(
                            (0, import_vue3.toDisplayString)($props.userName),
                            1
                            /* TEXT */
                          )
                        ])
                      ])
                    ]),
                    ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                      import_vue3.Fragment,
                      null,
                      (0, import_vue3.renderList)($props.info, (infoItem) => {
                        return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", {
                          key: infoItem.name,
                          class: "info-item more-info"
                        }, [
                          (0, import_vue3.createElementVNode)(
                            "label",
                            {
                              class: "info-item__label",
                              style: (0, import_vue3.normalizeStyle)($setup.labelStyle)
                            },
                            (0, import_vue3.toDisplayString)(infoItem.name) + "\uFF1A",
                            5
                            /* TEXT, STYLE */
                          ),
                          (0, import_vue3.createElementVNode)("span", _hoisted_12, [
                            (0, import_vue3.renderSlot)(_ctx.$slots, infoItem.slot, {
                              data: infoItem.content
                            }, () => [
                              (0, import_vue3.createTextVNode)(
                                (0, import_vue3.toDisplayString)(infoItem.content),
                                1
                                /* TEXT */
                              )
                            ])
                          ])
                        ]);
                      }),
                      128
                      /* KEYED_FRAGMENT */
                    ))
                  ])
                ]),
                (0, import_vue3.createElementVNode)("div", _hoisted_13, [
                  ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                    import_vue3.Fragment,
                    null,
                    (0, import_vue3.renderList)($props.operate, (operateItem) => {
                      return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", {
                        key: operateItem.name,
                        class: "operate-item"
                      }, [
                        (0, import_vue3.createElementVNode)("span", {
                          onClick: ($event) => $setup.handleMenuClick(() => {
                            var _a;
                            return (_a = $props.onOperateItemClick) == null ? void 0 : _a.call($props, operateItem);
                          })
                        }, (0, import_vue3.toDisplayString)(operateItem.name), 9, _hoisted_14)
                      ]);
                    }),
                    128
                    /* KEYED_FRAGMENT */
                  ))
                ])
              ]),
              (0, import_vue3.createElementVNode)("div", _hoisted_15, [
                (0, import_vue3.createElementVNode)("span", {
                  onClick: _cache[0] || (_cache[0] = ($event) => $setup.handleMenuClick($props.onLogout))
                }, "\u9000\u51FA\u767B\u5F55")
              ])
            ]),
            _: 3
            /* FORWARDED */
          },
          512
          /* NEED_PATCH */
        )
      ]),
      default: (0, import_vue3.withCtx)(() => [
        (0, import_vue3.createElementVNode)("div", _hoisted_1, [
          $props.avatar ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("img", {
            key: 0,
            class: "pagoda-layout__avatar",
            src: $props.avatar
          }, null, 8, _hoisted_2)) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("i", _hoisted_3)),
          (0, import_vue3.createElementVNode)("span", _hoisted_4, [
            (0, import_vue3.renderSlot)(_ctx.$slots, "user-name", { data: $props.userName }, () => [
              (0, import_vue3.createTextVNode)(
                (0, import_vue3.toDisplayString)($props.userName),
                1
                /* TEXT */
              )
            ])
          ]),
          (0, import_vue3.createVNode)($setup["ElIcon"], { class: "arrow-down-icon" }, {
            default: (0, import_vue3.withCtx)(() => [
              (0, import_vue3.createVNode)($setup["ElIconArrowDown"])
            ]),
            _: 1
            /* STABLE */
          })
        ])
      ]),
      _: 3
      /* FORWARDED */
    },
    512
    /* NEED_PATCH */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
