var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_leftRightLayout = require("./leftRightLayout");
var import_core = require("@vueuse/core");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("left-right-layout");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_leftRightLayout.leftRightLayoutProps,
  emits: ["back"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const contentFormEl = (0, import_vue2.ref)();
    const hasBorder = (0, import_vue2.ref)(false);
    (0, import_core.useEventListener)(contentFormEl, "scroll", () => {
      if (props.subTitle) {
        if (contentFormEl.value.scrollTop !== 0) {
          hasBorder.value = true;
        } else {
          hasBorder.value = false;
        }
      }
    });
    function handleBack() {
      emit("back");
    }
    const __returned__ = { name, props, emit, contentFormEl, hasBorder, handleBack };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-left-right-layout" };
const _hoisted_2 = { class: "pagoda-left-right-layout__flex" };
const _hoisted_3 = { class: "pagoda-left-right-layout__title" };
const _hoisted_4 = { class: "pagoda-left-right-layout__btn-groups" };
const _hoisted_5 = {
  key: 0,
  class: "pagoda-left-right-layout__before-content"
};
const _hoisted_6 = { class: "pagoda-left-right-layout__content" };
const _hoisted_7 = { class: "content-left" };
const _hoisted_8 = { class: "part-top" };
const _hoisted_9 = { class: "content-cont" };
const _hoisted_10 = { class: "content-right" };
const _hoisted_11 = { class: "top-title" };
const _hoisted_12 = {
  ref: "contentFormEl",
  class: "content-right__form"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_1, [
    (0, import_vue3.createCommentVNode)(" \u9876\u90E8\u83DC\u5355\u680F "),
    (0, import_vue3.createElementVNode)("div", _hoisted_2, [
      (0, import_vue3.createElementVNode)("div", {
        class: "pagoda-left-right-layout__back-text",
        onClick: $setup.handleBack
      }, [
        (0, import_vue3.createElementVNode)(
          "span",
          null,
          (0, import_vue3.toDisplayString)(_ctx.backText),
          1
          /* TEXT */
        )
      ]),
      (0, import_vue3.createCommentVNode)(" \u9875\u9762\u6807\u9898 "),
      (0, import_vue3.createElementVNode)(
        "div",
        _hoisted_3,
        (0, import_vue3.toDisplayString)(_ctx.title),
        1
        /* TEXT */
      ),
      (0, import_vue3.createCommentVNode)(" \u6309\u94AE\u533A "),
      (0, import_vue3.createElementVNode)("div", _hoisted_4, [
        (0, import_vue3.renderSlot)(_ctx.$slots, "operation")
      ])
    ]),
    (0, import_vue3.createCommentVNode)(" \u9876\u90E8\u680F\u4E0B\u65B9\u63D2\u69FD "),
    _ctx.$slots["before-content"] ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_5, [
      (0, import_vue3.renderSlot)(_ctx.$slots, "before-content")
    ])) : (0, import_vue3.createCommentVNode)("v-if", true),
    (0, import_vue3.createCommentVNode)(" \u4E3B\u5185\u5BB9\u533A "),
    (0, import_vue3.createElementVNode)("div", _hoisted_6, [
      (0, import_vue3.createCommentVNode)(" \u5DE6\u8FB9\u5185\u5BB9\u533A "),
      (0, import_vue3.createElementVNode)("div", _hoisted_7, [
        (0, import_vue3.createElementVNode)("div", _hoisted_8, [
          (0, import_vue3.renderSlot)(_ctx.$slots, "tabs")
        ]),
        (0, import_vue3.createElementVNode)("div", _hoisted_9, [
          (0, import_vue3.renderSlot)(_ctx.$slots, "content")
        ])
      ]),
      _cache[0] || (_cache[0] = (0, import_vue3.createElementVNode)(
        "div",
        { class: "content-border" },
        null,
        -1
        /* HOISTED */
      )),
      (0, import_vue3.createCommentVNode)(" \u53F3\u8FB9\u4FE1\u606F\u680F "),
      (0, import_vue3.createElementVNode)("div", _hoisted_10, [
        (0, import_vue3.createElementVNode)(
          "div",
          {
            class: (0, import_vue3.normalizeClass)(["content-right__top", { "top-border": $setup.hasBorder }])
          },
          [
            (0, import_vue3.createElementVNode)(
              "div",
              _hoisted_11,
              (0, import_vue3.toDisplayString)(_ctx.subTitle),
              1
              /* TEXT */
            ),
            (0, import_vue3.renderSlot)(_ctx.$slots, "edit")
          ],
          2
          /* CLASS */
        ),
        (0, import_vue3.createElementVNode)(
          "div",
          _hoisted_12,
          [
            (0, import_vue3.renderSlot)(_ctx.$slots, "content-form")
          ],
          512
          /* NEED_PATCH */
        )
      ])
    ])
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
