var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_lib = require("element-plus/lib/index.js");
var import_overflowTooltip = require("./overflowTooltip");
var import_lib2 = require("element-plus/lib/index.js");
var import_pagoda_shared = require("pagoda-shared");
var import_pagoda_shared2 = require("pagoda-shared");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("overflow-tooltip");
const __default__ = {
  name,
  inheritAttrs: false
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_overflowTooltip.overflowTooltipProps,
  setup(__props, { expose: __expose }) {
    __expose();
    const props = __props;
    const showTooltip = (0, import_vue2.ref)(false);
    const disabled = (0, import_vue2.ref)(true);
    const elTooltipAttrs = (0, import_pagoda_shared.usePickProps)(props, import_lib.useTooltipProps, {
      ignoreClassAndStyle: true
    });
    const contentStyle = (0, import_vue2.computed)(() => {
      return {
        width: `${props.tooltipWidth}px`
      };
    });
    const tooltipDisabled = (0, import_vue2.computed)(() => {
      var _a;
      return (_a = props.disabled) != null ? _a : disabled.value;
    });
    const handleMouseEnter = (e) => {
      if (e.target && (0, import_pagoda_shared2.isTextOverflow)(e.target)) {
        disabled.value = false;
      } else {
        disabled.value = true;
      }
    };
    const __returned__ = { name, props, showTooltip, disabled, elTooltipAttrs, contentStyle, tooltipDisabled, handleMouseEnter, get ElTooltip() {
      return import_lib2.ElTooltip;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElTooltip"], (0, import_vue3.mergeProps)({
    ref: "elPopoverCtx",
    disabled: $setup.tooltipDisabled
  }, $setup.elTooltipAttrs, {
    modelValue: $setup.showTooltip,
    "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => $setup.showTooltip = $event)
  }), {
    content: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createElementVNode)(
        "div",
        {
          style: (0, import_vue3.normalizeStyle)($setup.contentStyle)
        },
        [
          (0, import_vue3.renderSlot)(_ctx.$slots, "default")
        ],
        4
        /* STYLE */
      )
    ]),
    default: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createElementVNode)(
        "div",
        {
          class: (0, import_vue3.normalizeClass)(["pagoda-overflow-tooltip", _ctx.$attrs.class]),
          style: (0, import_vue3.normalizeStyle)(_ctx.style),
          onMouseenterCapture: $setup.handleMouseEnter
        },
        [
          (0, import_vue3.createTextVNode)(
            (0, import_vue3.toDisplayString)(_ctx.$attrs.style) + " ",
            1
            /* TEXT */
          ),
          (0, import_vue3.renderSlot)(_ctx.$slots, "default")
        ],
        38
        /* CLASS, STYLE, NEED_HYDRATION */
      )
    ]),
    _: 3
    /* FORWARDED */
  }, 16, ["disabled", "modelValue"]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
