var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_popoverTextarea = require("./popoverTextarea");
var import_lib = require("element-plus/lib/index.js");
var import_icon = require("../../icon");
var import_utils = require("../../utils/index");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("popover-textarea");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_popoverTextarea.popoverTextareaProps,
  emits: ["update:modelValue", "confirm", "cancel"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const showPopover = (0, import_vue2.ref)(false);
    const textareaValue = (0, import_vue2.ref)(props.modelValue);
    const preValue = (0, import_vue2.ref)(props.modelValue);
    const elInputCtx = (0, import_vue2.ref)();
    (0, import_vue2.watch)(
      () => props.modelValue,
      (newVal) => {
        preValue.value = newVal;
        textareaValue.value = newVal;
      }
    );
    const popoverAttrs = (0, import_vue2.computed)(() => {
      const { popoverProps } = props;
      return Object.assign(
        {
          placement: "right",
          width: 250,
          title: "\u4FEE\u6539\u5907\u6CE8"
        },
        popoverProps,
        {
          trigger: "manual",
          popperClass: "pagoda-popover-textarea-poppver" + (popoverProps.popperClass ? ` ${popoverProps.popperClass}` : "")
        }
      );
    });
    const handleReferenceClick = () => __async(this, null, function* () {
      showPopover.value = true;
      preValue.value = props.modelValue;
      yield (0, import_vue2.nextTick)();
      elInputCtx.value.focus();
    });
    const handleConfirm = () => {
      showPopover.value = false;
      emit("update:modelValue", textareaValue.value);
      emit("confirm");
    };
    const handleCancel = () => {
      showPopover.value = false;
      if (textareaValue.value !== preValue.value) {
        textareaValue.value = preValue.value;
      }
      emit("cancel");
    };
    const __returned__ = { name, props, emit, showPopover, textareaValue, preValue, elInputCtx, popoverAttrs, handleReferenceClick, handleConfirm, handleCancel, get ElInput() {
      return import_lib.ElInput;
    }, get ElPopover() {
      return import_lib.ElPopover;
    }, get ElButton() {
      return import_lib.ElButton;
    }, get Icon() {
      return import_icon.Icon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-popover-textarea" };
const _hoisted_2 = { class: "pagoda-popover-textarea-poppver__operate" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_1, [
    (0, import_vue3.createVNode)($setup["ElPopover"], (0, import_vue3.mergeProps)($setup.popoverAttrs, {
      visible: $setup.showPopover,
      "onUpdate:visible": _cache[1] || (_cache[1] = ($event) => $setup.showPopover = $event)
    }), {
      reference: (0, import_vue3.withCtx)(() => [
        (0, import_vue3.createVNode)($setup["ElButton"], {
          type: "primary",
          link: "",
          onClick: $setup.handleReferenceClick
        }, {
          default: (0, import_vue3.withCtx)(() => [
            (0, import_vue3.createVNode)($setup["Icon"], { is: _ctx.buttonIcon }, null, 8, ["is"]),
            (0, import_vue3.createTextVNode)(
              " " + (0, import_vue3.toDisplayString)(_ctx.buttonText),
              1
              /* TEXT */
            )
          ]),
          _: 1
          /* STABLE */
        })
      ]),
      default: (0, import_vue3.withCtx)(() => [
        (0, import_vue3.createVNode)($setup["ElInput"], {
          modelValue: $setup.textareaValue,
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => $setup.textareaValue = $event),
          type: "textarea",
          resize: "none",
          rows: 4,
          "show-word-limit": "",
          maxlength: _ctx.maxlength,
          spellcheck: "false",
          ref: "elInputCtx"
        }, null, 8, ["modelValue", "maxlength"]),
        (0, import_vue3.createElementVNode)("div", _hoisted_2, [
          (0, import_vue3.createVNode)($setup["ElButton"], {
            type: "primary",
            link: "",
            onClick: $setup.handleCancel
          }, {
            default: (0, import_vue3.withCtx)(() => _cache[2] || (_cache[2] = [
              (0, import_vue3.createTextVNode)(" \u53D6\u6D88 ")
            ])),
            _: 1
            /* STABLE */
          }),
          (0, import_vue3.createVNode)($setup["ElButton"], {
            type: "primary",
            onClick: $setup.handleConfirm
          }, {
            default: (0, import_vue3.withCtx)(() => _cache[3] || (_cache[3] = [
              (0, import_vue3.createTextVNode)(" \u786E\u8BA4 ")
            ])),
            _: 1
            /* STABLE */
          })
        ])
      ]),
      _: 1
      /* STABLE */
    }, 16, ["visible"])
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
