var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_suffixIcon = require("./suffixIcon");
var import_icon = require("../../icon");
var import_lib = require("element-plus/lib/index.js");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("suffix-icon");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "suffix-icon",
  props: import_suffixIcon.suffixIconProps,
  emits: ["icon-click"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const size = (0, import_lib.useFormSize)();
    const wrapperType = (0, import_vue2.computed)(() => {
      return props.type === "select" ? "select" : "input";
    });
    const classes = (0, import_vue2.computed)(() => {
      return [
        "pagoda-suffix-icon__wrapper",
        `el-${wrapperType.value}__wrapper`,
        {
          "el-input__suffix": wrapperType.value === "input"
        }
      ];
    });
    const handleClick = (e) => {
      emit("icon-click", e);
    };
    const __returned__ = { name, props, emit, size, wrapperType, classes, handleClick, get Icon() {
      return import_icon.Icon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    {
      class: (0, import_vue3.normalizeClass)(["pagoda-suffix-icon", [{
        "has-icon": _ctx.icon,
        [`el-${_ctx.type}--${$setup.size}`]: !!$setup.size
      }, `el-${_ctx.type}`]])
    },
    [
      (0, import_vue3.renderSlot)(_ctx.$slots, "default"),
      (0, import_vue3.createElementVNode)(
        "div",
        {
          class: (0, import_vue3.normalizeClass)($setup.classes)
        },
        [
          (0, import_vue3.createVNode)($setup["Icon"], {
            class: (0, import_vue3.normalizeClass)(["el-select__caret pagoda-suffix-icon__icon", [_ctx.iconClass]]),
            is: _ctx.icon,
            onClick: (0, import_vue3.withModifiers)($setup.handleClick, ["stop"])
          }, null, 8, ["class", "is"])
        ],
        2
        /* CLASS */
      )
    ],
    2
    /* CLASS */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
