var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_tableFooterProps = require("./tableFooterProps");
var import_core = require("@vueuse/core");
var import_table_footer = __toESM(require("./table-footer"));
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("table-footer");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_tableFooterProps.tableFooterProps,
  setup(__props, { expose: __expose }) {
    const elTableCtx = (0, import_vue2.ref)();
    const elTableBodyWrapperEl = (0, import_vue2.ref)();
    const elTableEl = (0, import_vue2.ref)();
    const bodyWrapper = (0, import_vue2.ref)();
    const root = (0, import_vue2.ref)();
    (0, import_core.useEventListener)(elTableBodyWrapperEl, "scroll", () => {
      if (!bodyWrapper.value || !elTableBodyWrapperEl.value)
        return;
      bodyWrapper.value.scrollLeft = elTableBodyWrapperEl.value.scrollLeft;
    });
    (0, import_core.useMutationObserver)(
      elTableEl,
      (mutations) => {
        if (mutations.some((mutation) => mutation.attributeName === "class")) {
          if (!root.value || !elTableEl.value)
            return;
          root.value.className = `pagoda-table-footer ${elTableEl.value.className}`;
        }
      },
      {
        attributes: true
      }
    );
    function init(tableInstance) {
      return __async(this, null, function* () {
        elTableCtx.value = tableInstance;
        elTableBodyWrapperEl.value = elTableCtx.value.scrollBarRef.wrapRef;
        elTableEl.value = elTableCtx.value.$el;
      });
    }
    __expose({
      init
    });
    const __returned__ = { name, elTableCtx, elTableBodyWrapperEl, elTableEl, bodyWrapper, root, init, get TableFooter() {
      return import_table_footer.default;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = {
  key: 0,
  ref: "root"
};
const _hoisted_2 = { class: "el-table__inner-wrapper" };
const _hoisted_3 = {
  ref: "bodyWrapper",
  class: "el-table__body-wrapper"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return $setup.elTableCtx ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    _hoisted_1,
    [
      (0, import_vue3.createElementVNode)("div", _hoisted_2, [
        (0, import_vue3.createElementVNode)(
          "div",
          _hoisted_3,
          [
            $setup.elTableCtx ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["TableFooter"], {
              key: 0,
              table: $setup.elTableCtx,
              data: _ctx.data
            }, null, 8, ["table", "data"])) : (0, import_vue3.createCommentVNode)("v-if", true)
          ],
          512
          /* NEED_PATCH */
        )
      ])
    ],
    512
    /* NEED_PATCH */
  )) : (0, import_vue3.createCommentVNode)("v-if", true);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
