import type { App } from 'vue';
export type WithInstall<T> = T & {
    install(app: App): void;
};
export declare function objectFromArray<T extends Array<string>, P>(arr: T, generatorValue: (key: string) => P): Record<string, P>;
export declare function withInstall<T>(options: any, extraInstall?: (app: App, config: any) => void): WithInstall<T>;
export declare function createNamespace(name: string): string;
