var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  createNamespace: () => createNamespace,
  objectFromArray: () => objectFromArray,
  withInstall: () => withInstall
});
module.exports = __toCommonJS(stdin_exports);
var import_lodash_unified = require("lodash-unified");
var import_constants = require("./constants");
function objectFromArray(arr, generatorValue) {
  const obj = {};
  arr.forEach((key) => {
    obj[key] = generatorValue(key);
  });
  return obj;
}
function withInstall(options, extraInstall) {
  options.install = (app, config) => {
    const { name } = options;
    app.component(name, options);
    app.component((0, import_lodash_unified.camelCase)(`-${name}`), options);
    if (extraInstall)
      extraInstall(app, config);
  };
  return options;
}
function createNamespace(name) {
  const prefixedName = `${import_constants.prefix}-${name}`;
  return prefixedName;
}
